#include <kate_includes.h>

#include <smoke.h>
#include <kate_smoke.h>

namespace __smokekate {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigBase
      switch(to) {
        case 4: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 49: return (void*)(QIcon*)(KIcon*)xptr;
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KSharedConfig
      switch(to) {
        case 4: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 7: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 8:   //KStandardDirs
      switch(to) {
        case 8: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 9:   //KTextEditor::Document
      switch(to) {
        case 9: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 10:   //KTextEditor::Editor
      switch(to) {
        case 10: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 11:   //KTextEditor::View
      switch(to) {
        case 11: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 12:   //KUrl
      switch(to) {
        case 89: return (void*)(QUrl*)(KUrl*)xptr;
        case 12: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 13:   //KXMLGUIClient
      switch(to) {
        case 13: return (void*)(KXMLGUIClient*)xptr;
        case 23: return (void*)(Kate::XMLGUIClient*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 14:   //KXMLGUIFactory
      switch(to) {
        case 63: return (void*)(QObject*)(KXMLGUIFactory*)xptr;
        case 14: return (void*)(KXMLGUIFactory*)xptr;
        default: return xptr;
      }
    case 15:   //Kate::Application
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::Application*)xptr;
        case 15: return (void*)(Kate::Application*)xptr;
        default: return xptr;
      }
    case 16:   //Kate::DocumentManager
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::DocumentManager*)xptr;
        case 16: return (void*)(Kate::DocumentManager*)xptr;
        default: return xptr;
      }
    case 17:   //Kate::MainWindow
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::MainWindow*)xptr;
        case 17: return (void*)(Kate::MainWindow*)xptr;
        default: return xptr;
      }
    case 18:   //Kate::Plugin
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::Plugin*)xptr;
        case 18: return (void*)(Kate::Plugin*)xptr;
        default: return xptr;
      }
    case 19:   //Kate::PluginConfigPage
      switch(to) {
        case 93: return (void*)(QWidget*)(Kate::PluginConfigPage*)xptr;
        case 63: return (void*)(QObject*)(Kate::PluginConfigPage*)xptr;
        case 19: return (void*)(Kate::PluginConfigPage*)xptr;
        default: return xptr;
      }
    case 20:   //Kate::PluginConfigPageInterface
      switch(to) {
        case 20: return (void*)(Kate::PluginConfigPageInterface*)xptr;
        default: return xptr;
      }
    case 21:   //Kate::PluginManager
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::PluginManager*)xptr;
        case 21: return (void*)(Kate::PluginManager*)xptr;
        default: return xptr;
      }
    case 22:   //Kate::PluginView
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::PluginView*)xptr;
        case 22: return (void*)(Kate::PluginView*)xptr;
        default: return xptr;
      }
    case 23:   //Kate::XMLGUIClient
      switch(to) {
        case 13: return (void*)(KXMLGUIClient*)(Kate::XMLGUIClient*)xptr;
        case 23: return (void*)(Kate::XMLGUIClient*)xptr;
        default: return xptr;
      }
    case 24:   //QAction
      switch(to) {
        case 24: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 25:   //QActionEvent
      switch(to) {
        case 25: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QBool
      switch(to) {
        case 26: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 27:   //QBrush
      switch(to) {
        case 27: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 28:   //QByteArray
      switch(to) {
        case 28: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 29:   //QChar
      switch(to) {
        case 29: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 30:   //QChildEvent
      switch(to) {
        case 30: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QCloseEvent
      switch(to) {
        case 31: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QColor
      switch(to) {
        case 32: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 33:   //QContextMenuEvent
      switch(to) {
        case 33: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QCursor
      switch(to) {
        case 34: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 35:   //QDataStream
      switch(to) {
        case 35: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 36:   //QDomDocument
      switch(to) {
        case 38: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 36: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 37:   //QDomElement
      switch(to) {
        case 38: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 37: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 38:   //QDomNode
      switch(to) {
        case 38: return (void*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 39:   //QDragEnterEvent
      switch(to) {
        case 39: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QDragLeaveEvent
      switch(to) {
        case 40: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragMoveEvent
      switch(to) {
        case 41: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDropEvent
      switch(to) {
        case 42: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QEvent
      switch(to) {
        case 43: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QFocusEvent
      switch(to) {
        case 44: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFont
      switch(to) {
        case 45: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 47:   //QHashDummyValue
      switch(to) {
        case 47: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 48:   //QHideEvent
      switch(to) {
        case 48: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QIcon
      switch(to) {
        case 49: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 50:   //QImage
      switch(to) {
        case 50: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 51:   //QIncompatibleFlag
      switch(to) {
        case 51: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 52:   //QInputMethodEvent
      switch(to) {
        case 52: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QKeyEvent
      switch(to) {
        case 53: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QKeySequence
      switch(to) {
        case 54: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 55:   //QLatin1String
      switch(to) {
        case 55: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 56:   //QLine
      switch(to) {
        case 56: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 57:   //QLineF
      switch(to) {
        case 57: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 58:   //QMargins
      switch(to) {
        case 58: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 59:   //QMatrix
      switch(to) {
        case 59: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 60:   //QMetaObject
      switch(to) {
        case 60: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 61:   //QMouseEvent
      switch(to) {
        case 61: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QMoveEvent
      switch(to) {
        case 62: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QObject
      switch(to) {
        case 63: return (void*)(QObject*)xptr;
        case 21: return (void*)(Kate::PluginManager*)(QObject*)xptr;
        case 16: return (void*)(Kate::DocumentManager*)(QObject*)xptr;
        case 22: return (void*)(Kate::PluginView*)(QObject*)xptr;
        case 19: return (void*)(Kate::PluginConfigPage*)(QObject*)xptr;
        case 17: return (void*)(Kate::MainWindow*)(QObject*)xptr;
        case 18: return (void*)(Kate::Plugin*)(QObject*)xptr;
        case 15: return (void*)(Kate::Application*)(QObject*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEngine
      switch(to) {
        case 64: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 65:   //QPaintEvent
      switch(to) {
        case 65: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPixmap
      switch(to) {
        case 68: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 69:   //QPoint
      switch(to) {
        case 69: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 70:   //QPointF
      switch(to) {
        case 70: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygon
      switch(to) {
        case 71: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 72:   //QPolygonF
      switch(to) {
        case 72: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QString::Null
      switch(to) {
        case 82: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 83:   //QStringRef
      switch(to) {
        case 83: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 84:   //QStyle
      switch(to) {
        case 84: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 85:   //QTabletEvent
      switch(to) {
        case 85: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QTextStream
      switch(to) {
        case 86: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 87:   //QTimerEvent
      switch(to) {
        case 87: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QTransform
      switch(to) {
        case 88: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 89:   //QUrl
      switch(to) {
        case 89: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 90:   //QVariant
      switch(to) {
        case 90: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 91:   //QVariantComparisonHelper
      switch(to) {
        case 91: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 92:   //QWheelEvent
      switch(to) {
        case 92: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 93:   //QWidget
      switch(to) {
        case 63: return (void*)(QObject*)(QWidget*)xptr;
        case 93: return (void*)(QWidget*)xptr;
        case 19: return (void*)(Kate::PluginConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    63, 0,	// 1: QObject
    93, 0,	// 3: QWidget
    13, 0,	// 5: KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Kate__MainWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Kate__Application(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__DocumentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__MainWindow(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPageInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginView(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__XMLGUIClient(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//7
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//8
    { "KTextEditor::Document", true, 0, 0, 0, 0, 0 },	//9
    { "KTextEditor::Editor", true, 0, 0, 0, 0, 0 },	//10
    { "KTextEditor::View", true, 0, 0, 0, 0, 0 },	//11
    { "KUrl", true, 0, 0, 0, 0, 0 },	//12
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//13
    { "KXMLGUIFactory", true, 0, 0, 0, 0, 0 },	//14
    { "Kate::Application", false, 1, xcall_Kate__Application, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Application) },	//15
    { "Kate::DocumentManager", false, 1, xcall_Kate__DocumentManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::DocumentManager) },	//16
    { "Kate::MainWindow", false, 1, xcall_Kate__MainWindow, xenum_Kate__MainWindow, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::MainWindow) },	//17
    { "Kate::Plugin", false, 1, xcall_Kate__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Plugin) },	//18
    { "Kate::PluginConfigPage", false, 3, xcall_Kate__PluginConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginConfigPage) },	//19
    { "Kate::PluginConfigPageInterface", false, 0, xcall_Kate__PluginConfigPageInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::PluginConfigPageInterface) },	//20
    { "Kate::PluginManager", false, 1, xcall_Kate__PluginManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginManager) },	//21
    { "Kate::PluginView", false, 1, xcall_Kate__PluginView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginView) },	//22
    { "Kate::XMLGUIClient", false, 5, xcall_Kate__XMLGUIClient, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::XMLGUIClient) },	//23
    { "QAction", true, 0, 0, 0, 0, 0 },	//24
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QBool", true, 0, 0, 0, 0, 0 },	//26
    { "QBrush", true, 0, 0, 0, 0, 0 },	//27
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//28
    { "QChar", true, 0, 0, 0, 0, 0 },	//29
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QColor", true, 0, 0, 0, 0, 0 },	//32
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QCursor", true, 0, 0, 0, 0, 0 },	//34
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//35
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//36
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//37
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//38
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFont", true, 0, 0, 0, 0, 0 },	//45
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//46
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//47
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QIcon", true, 0, 0, 0, 0, 0 },	//49
    { "QImage", true, 0, 0, 0, 0, 0 },	//50
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//51
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//54
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//55
    { "QLine", true, 0, 0, 0, 0, 0 },	//56
    { "QLineF", true, 0, 0, 0, 0, 0 },	//57
    { "QMargins", true, 0, 0, 0, 0, 0 },	//58
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//59
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//60
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QObject", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//64
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//68
    { "QPoint", true, 0, 0, 0, 0, 0 },	//69
    { "QPointF", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//71
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//82
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//83
    { "QStyle", true, 0, 0, 0, 0, 0 },	//84
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//86
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QTransform", true, 0, 0, 0, 0, 0 },	//88
    { "QUrl", true, 0, 0, 0, 0, 0 },	//89
    { "QVariant", true, 0, 0, 0, 0, 0 },	//90
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//91
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//92
    { "QWidget", true, 0, 0, 0, 0, 0 },	//93
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KConfigBase*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KConfigBase::WriteConfigFlag", 4, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//8
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//10
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KSharedConfig", 7, Smoke::t_class|Smoke::tf_stack },	//12
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "KStandardDirs*", 8, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KTextEditor::Document*", 9, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KTextEditor::Editor*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KTextEditor::View*", 11, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KUrl::CleanPathOption", 12, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KUrl::DirectoryOption", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KUrl::EncodedPathAndQueryOption", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KUrl::EqualsOption", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KUrl::QueryItemsOption", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KXMLGUIClient::ReverseStateChange", 13, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KXMLGUIFactory*", 14, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Kate::Application*", 15, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Kate::DocumentManager*", 16, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Kate::MainWindow*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Kate::MainWindow::Position", 17, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Kate::Plugin*", 18, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Kate::PluginConfigPage*", 19, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Kate::PluginConfigPageInterface*", 20, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Kate::PluginManager*", 21, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Kate::PluginView*", 22, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Kate::XMLGUIClient*", 23, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QAction*", 24, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QActionEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QBool", 26, Smoke::t_class|Smoke::tf_stack },	//37
    { "QBrush&", 27, Smoke::t_class|Smoke::tf_ref },	//38
    { "QByteArray&", 28, Smoke::t_class|Smoke::tf_ref },	//39
    { "QChar", 29, Smoke::t_class|Smoke::tf_stack },	//40
    { "QChar&", 29, Smoke::t_class|Smoke::tf_ref },	//41
    { "QChildEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QCloseEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QColor&", 32, Smoke::t_class|Smoke::tf_ref },	//44
    { "QContextMenuEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QCursor&", 34, Smoke::t_class|Smoke::tf_ref },	//46
    { "QDataStream&", 35, Smoke::t_class|Smoke::tf_ref },	//47
    { "QDomDocument", 36, Smoke::t_class|Smoke::tf_stack },	//48
    { "QDragEnterEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDragLeaveEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDragMoveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QDropEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFocusEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QFont&", 45, Smoke::t_class|Smoke::tf_ref },	//83
    { "QHideEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QIcon&", 49, Smoke::t_class|Smoke::tf_ref },	//86
    { "QImage&", 50, Smoke::t_class|Smoke::tf_ref },	//87
    { "QIncompatibleFlag", 51, Smoke::t_class|Smoke::tf_stack },	//88
    { "QInputMethodEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QKeyEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QKeySequence&", 54, Smoke::t_class|Smoke::tf_ref },	//91
    { "QLine", 56, Smoke::t_class|Smoke::tf_stack },	//92
    { "QLine&", 56, Smoke::t_class|Smoke::tf_ref },	//93
    { "QLineF", 57, Smoke::t_class|Smoke::tf_stack },	//94
    { "QLineF&", 57, Smoke::t_class|Smoke::tf_ref },	//95
    { "QList<KTextEditor::Document*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QMatrix&", 59, Smoke::t_class|Smoke::tf_ref },	//97
    { "QMetaObject::Call", 60, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QMouseEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QMoveEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QObject*", 63, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QPaintEngine*", 64, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QPaintEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//105
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//107
    { "QPixmap&", 68, Smoke::t_class|Smoke::tf_ref },	//108
    { "QPoint", 69, Smoke::t_class|Smoke::tf_stack },	//109
    { "QPoint&", 69, Smoke::t_class|Smoke::tf_ref },	//110
    { "QPointF", 70, Smoke::t_class|Smoke::tf_stack },	//111
    { "QPointF&", 70, Smoke::t_class|Smoke::tf_ref },	//112
    { "QPolygon", 71, Smoke::t_class|Smoke::tf_stack },	//113
    { "QPolygon&", 71, Smoke::t_class|Smoke::tf_ref },	//114
    { "QPolygonF", 72, Smoke::t_class|Smoke::tf_stack },	//115
    { "QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//119
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//120
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//121
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//124
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//125
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//126
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//127
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//130
    { "QString::Null", 82, Smoke::t_class|Smoke::tf_stack },	//131
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//133
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//134
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//135
    { "QStyle&", 84, Smoke::t_class|Smoke::tf_ref },	//136
    { "QTabletEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QTextStream&", 86, Smoke::t_class|Smoke::tf_ref },	//138
    { "QTimerEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QTransform", 88, Smoke::t_class|Smoke::tf_stack },	//140
    { "QTransform&", 88, Smoke::t_class|Smoke::tf_ref },	//141
    { "QUrl&", 89, Smoke::t_class|Smoke::tf_ref },	//142
    { "QUrl::FormattingOption", 89, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QVariant", 90, Smoke::t_class|Smoke::tf_stack },	//144
    { "QVariant&", 90, Smoke::t_class|Smoke::tf_ref },	//145
    { "QVariant::Type&", 90, Smoke::t_enum|Smoke::tf_ref },	//146
    { "QWheelEvent*", 92, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QWidget*", 93, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QWidget::RenderFlag", 93, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtMsgType", 46, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForActiveQtModule", 46, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForCoreModule", 46, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForDBusModule", 46, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForDeclarativeModule", 46, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForGuiModule", 46, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForHelpModule", 46, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForMultimediaModule", 46, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForNetworkModule", 46, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForOpenGLModule", 46, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForOpenVGModule", 46, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForQt3SupportLightModule", 46, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForQt3SupportModule", 46, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForScriptModule", 46, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForScriptToolsModule", 46, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForSqlModule", 46, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForSvgModule", 46, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForTestModule", 46, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForXmlModule", 46, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForXmlPatternsModule", 46, Smoke::t_enum|Smoke::tf_stack },	//241
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//243
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//244
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const KUrl&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const Kate::PluginConfigPageInterface&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const Kate::XMLGUIClient&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QBrush&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QByteArray", 28, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//250
    { "const QByteArray&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QChar&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QColor&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QCursor&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDomDocument&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDomElement&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDomNode&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QFont&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QHashDummyValue&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QIcon&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QImage&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QKeySequence&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QLatin1String&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QLine&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QLineF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QList<Kate::MainWindow*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMargins&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMatrix&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QMetaObject&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QMetaObject*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QObject*", 63, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPixmap&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QPoint", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//277
    { "const QPoint&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QPointF", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//279
    { "const QPointF&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QPolygon&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//289
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//292
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//295
    { "const QStringRef&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QTransform&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QUrl&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QVariant&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QVariant::Type", 90, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//300
    { "const QVariantComparisonHelper&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//302
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//304
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//305
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//306
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//307
    { "mode_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//308
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//309
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//310
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//311
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//312
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    256, 0,	//1  const QDomElement&
    245, 0,	//3  const KComponentData&
    293, 243, 243, 0,	//5  const QString&, bool, bool
    293, 0,	//9  const QString&
    293, 243, 0,	//11  const QString&, bool
    255, 243, 0,	//14  const QDomDocument&, bool
    293, 23, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    306, 310, 0,	//20  int, void*
    302, 0,	//23  const char*
    302, 302, 0,	//25  const char*, const char*
    302, 302, 306, 0,	//28  const char*, const char*, int
    98, 306, 311, 0,	//32  QMetaObject::Call, int, void**
    310, 0,	//36  void*
    246, 0,	//38  const KUrl&
    246, 293, 0,	//40  const KUrl&, const QString&
    15, 0,	//43  KTextEditor::Document*
    96, 0,	//45  QList<KTextEditor::Document*>
    17, 0,	//47  KTextEditor::View*
    53, 0,	//49  QEvent*
    293, 33, 0,	//51  const QString&, Kate::PluginView*
    293, 28, 276, 293, 0,	//54  const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    29, 293, 28, 276, 293, 0,	//59  Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    148, 28, 0,	//65  QWidget*, Kate::MainWindow::Position
    148, 0,	//68  QWidget*
    31, 309, 0,	//70  Kate::PluginConfigPageInterface*, unsigned int
    25, 302, 0,	//73  Kate::Application*, const char*
    27, 0,	//76  Kate::MainWindow*
    5, 293, 0,	//78  KConfigBase*, const QString&
    25, 0,	//81  Kate::Application*
    148, 302, 0,	//83  QWidget*, const char*
    309, 148, 302, 0,	//86  unsigned int, QWidget*, const char*
    309, 0,	//90  unsigned int
    247, 0,	//92  const Kate::PluginConfigPageInterface&
    309, 148, 0,	//94  unsigned int, QWidget*
    293, 29, 0,	//97  const QString&, Kate::Plugin*
    248, 0,	//100  const Kate::XMLGUIClient&
    19, 57, 0,	//102  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    47, 97, 0,	//105  QDataStream&, QMatrix&
    47, 41, 0,	//108  QDataStream&, QChar&
    302, 263, 0,	//111  const char*, const QLatin1String&
    221, 306, 0,	//114  Qt::WindowType, int
    290, 304, 0,	//117  const QSizeF&, double
    251, 302, 0,	//120  const QByteArray&, const char*
    302, 293, 0,	//123  const char*, const QString&
    47, 117, 0,	//126  QDataStream&, QRect&
    280, 270, 0,	//129  const QPointF&, const QMatrix&
    186, 186, 0,	//132  Qt::ItemFlag, Qt::ItemFlag
    299, 301, 0,	//135  const QVariant&, const QVariantComparisonHelper&
    297, 304, 0,	//138  const QTransform&, double
    288, 288, 0,	//141  const QSize&, const QSize&
    40, 293, 0,	//144  QChar, const QString&
    263, 263, 0,	//147  const QLatin1String&, const QLatin1String&
    296, 296, 0,	//150  const QStringRef&, const QStringRef&
    280, 280, 0,	//153  const QPointF&, const QPointF&
    293, 296, 0,	//156  const QString&, const QStringRef&
    293, 40, 0,	//159  const QString&, QChar
    6, 6, 0,	//162  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    263, 296, 0,	//165  const QLatin1String&, const QStringRef&
    274, 297, 0,	//168  const QPainterPath&, const QTransform&
    211, 211, 0,	//171  Qt::ToolBarArea, Qt::ToolBarArea
    284, 284, 0,	//174  const QRectF&, const QRectF&
    47, 108, 0,	//177  QDataStream&, QPixmap&
    296, 263, 0,	//180  const QStringRef&, const QLatin1String&
    47, 262, 0,	//183  QDataStream&, const QKeySequence&
    149, 306, 0,	//186  QWidget::RenderFlag, int
    208, 306, 0,	//189  Qt::TextInteractionFlag, int
    40, 40, 0,	//192  QChar, QChar
    149, 65, 0,	//195  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    47, 297, 0,	//198  QDataStream&, const QTransform&
    22, 60, 0,	//201  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    47, 107, 0,	//204  QDataStream&, QPalette&
    282, 297, 0,	//207  const QPolygonF&, const QTransform&
    47, 142, 0,	//210  QDataStream&, QUrl&
    47, 300, 0,	//213  QDataStream&, const QVariant::Type
    47, 299, 0,	//216  QDataStream&, const QVariant&
    21, 59, 0,	//219  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    208, 77, 0,	//222  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    186, 72, 0,	//225  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    183, 71, 0,	//228  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    47, 270, 0,	//231  QDataStream&, const QMatrix&
    47, 290, 0,	//234  QDataStream&, const QSizeF&
    131, 131, 0,	//237  QString::Null, QString::Null
    302, 251, 0,	//240  const char*, const QByteArray&
    47, 86, 0,	//243  QDataStream&, QIcon&
    47, 114, 0,	//246  QDataStream&, QPolygon&
    4, 306, 0,	//249  KConfig::OpenFlag, int
    264, 297, 0,	//252  const QLine&, const QTransform&
    278, 278, 0,	//255  const QPoint&, const QPoint&
    189, 73, 0,	//258  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    47, 282, 0,	//261  QDataStream&, const QPolygonF&
    280, 304, 0,	//264  const QPointF&, double
    281, 270, 0,	//267  const QPolygon&, const QMatrix&
    259, 259, 0,	//270  const QHashDummyValue&, const QHashDummyValue&
    18, 306, 0,	//273  KUrl::CleanPathOption, int
    128, 306, 0,	//276  QSizePolicy::ControlType, int
    283, 283, 0,	//279  const QRect&, const QRect&
    251, 251, 0,	//282  const QByteArray&, const QByteArray&
    47, 293, 0,	//285  QDataStream&, const QString&
    172, 306, 0,	//288  Qt::DropAction, int
    47, 141, 0,	//291  QDataStream&, QTransform&
    192, 306, 0,	//294  Qt::MatchFlag, int
    47, 278, 0,	//297  QDataStream&, const QPoint&
    208, 208, 0,	//300  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    132, 63, 0,	//303  QString::SectionFlag, QFlags<QString::SectionFlag>
    194, 194, 0,	//306  Qt::MouseButton, Qt::MouseButton
    172, 172, 0,	//309  Qt::DropAction, Qt::DropAction
    281, 297, 0,	//312  const QPolygon&, const QTransform&
    293, 131, 0,	//315  const QString&, QString::Null
    177, 69, 0,	//318  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    264, 270, 0,	//321  const QLine&, const QMatrix&
    10, 0,	//324  KIconLoader::Group&
    85, 85, 0,	//326  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    47, 95, 0,	//329  QDataStream&, QLineF&
    290, 290, 0,	//332  const QSizeF&, const QSizeF&
    47, 265, 0,	//335  QDataStream&, const QLineF&
    304, 288, 0,	//338  double, const QSize&
    170, 67, 0,	//341  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    192, 74, 0,	//344  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    278, 305, 0,	//347  const QPoint&, float
    280, 0,	//350  const QPointF&
    150, 306, 0,	//352  Qt::AlignmentFlag, int
    181, 306, 0,	//355  Qt::ImageConversionFlag, int
    20, 58, 0,	//358  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    47, 249, 0,	//361  QDataStream&, const QBrush&
    265, 297, 0,	//364  const QLineF&, const QTransform&
    282, 270, 0,	//367  const QPolygonF&, const QMatrix&
    278, 0,	//370  const QPoint&
    47, 253, 0,	//372  QDataStream&, const QColor&
    47, 38, 0,	//375  QDataStream&, QBrush&
    47, 280, 0,	//378  QDataStream&, const QPointF&
    19, 306, 0,	//381  KUrl::DirectoryOption, int
    37, 37, 0,	//384  QBool, QBool
    293, 244, 0,	//387  const QString&, char
    302, 296, 0,	//390  const char*, const QStringRef&
    6, 55, 0,	//393  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    278, 270, 0,	//396  const QPoint&, const QMatrix&
    280, 297, 0,	//399  const QPointF&, const QTransform&
    131, 293, 0,	//402  QString::Null, const QString&
    274, 270, 0,	//405  const QPainterPath&, const QMatrix&
    21, 306, 0,	//408  KUrl::EqualsOption, int
    47, 260, 0,	//411  QDataStream&, const QIcon&
    20, 306, 0,	//414  KUrl::EncodedPathAndQueryOption, int
    177, 177, 0,	//417  Qt::GestureFlag, Qt::GestureFlag
    47, 118, 0,	//420  QDataStream&, QRectF&
    47, 252, 0,	//423  QDataStream&, const QChar&
    288, 304, 0,	//426  const QSize&, double
    47, 112, 0,	//429  QDataStream&, QPointF&
    150, 150, 0,	//432  Qt::AlignmentFlag, Qt::AlignmentFlag
    278, 297, 0,	//435  const QPoint&, const QTransform&
    47, 93, 0,	//438  QDataStream&, QLine&
    47, 91, 0,	//441  QDataStream&, QKeySequence&
    47, 258, 0,	//444  QDataStream&, const QFont&
    278, 304, 0,	//447  const QPoint&, double
    47, 251, 0,	//450  QDataStream&, const QByteArray&
    47, 274, 0,	//453  QDataStream&, const QPainterPath&
    47, 281, 0,	//456  QDataStream&, const QPolygon&
    181, 181, 0,	//459  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    220, 306, 0,	//462  Qt::WindowState, int
    47, 130, 0,	//465  QDataStream&, QString&
    47, 284, 0,	//468  QDataStream&, const QRectF&
    47, 125, 0,	//471  QDataStream&, QSize&
    189, 189, 0,	//474  Qt::KeyboardModifier, Qt::KeyboardModifier
    243, 37, 0,	//477  bool, QBool
    47, 286, 0,	//480  QDataStream&, const QRegion&
    296, 293, 0,	//483  const QStringRef&, const QString&
    189, 306, 0,	//486  Qt::KeyboardModifier, int
    47, 261, 0,	//489  QDataStream&, const QImage&
    269, 269, 0,	//492  const QMargins&, const QMargins&
    251, 293, 0,	//495  const QByteArray&, const QString&
    143, 143, 0,	//498  QUrl::FormattingOption, QUrl::FormattingOption
    170, 306, 0,	//501  Qt::DockWidgetArea, int
    221, 221, 0,	//504  Qt::WindowType, Qt::WindowType
    47, 121, 0,	//507  QDataStream&, QRegion&
    221, 81, 0,	//510  Qt::WindowType, QFlags<Qt::WindowType>
    220, 220, 0,	//513  Qt::WindowState, Qt::WindowState
    47, 134, 0,	//516  QDataStream&, QStringList&
    304, 280, 0,	//519  double, const QPointF&
    306, 278, 0,	//522  int, const QPoint&
    47, 298, 0,	//525  QDataStream&, const QUrl&
    20, 20, 0,	//528  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    47, 110, 0,	//531  QDataStream&, QPoint&
    19, 19, 0,	//534  KUrl::DirectoryOption, KUrl::DirectoryOption
    47, 119, 0,	//537  QDataStream&, QRegExp&
    183, 306, 0,	//540  Qt::InputMethodHint, int
    138, 257, 0,	//543  QTextStream&, const QDomNode&
    293, 251, 0,	//546  const QString&, const QByteArray&
    143, 64, 0,	//549  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    251, 244, 0,	//552  const QByteArray&, char
    150, 66, 0,	//555  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    21, 21, 0,	//558  KUrl::EqualsOption, KUrl::EqualsOption
    47, 44, 0,	//561  QDataStream&, QColor&
    22, 22, 0,	//564  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    85, 61, 0,	//567  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    47, 264, 0,	//570  QDataStream&, const QLine&
    177, 306, 0,	//573  Qt::GestureFlag, int
    6, 306, 0,	//576  KConfigBase::WriteConfigFlag, int
    244, 251, 0,	//579  char, const QByteArray&
    293, 302, 0,	//582  const QString&, const char*
    196, 196, 0,	//585  Qt::Orientation, Qt::Orientation
    293, 293, 0,	//588  const QString&, const QString&
    37, 243, 0,	//591  QBool, bool
    47, 294, 0,	//594  QDataStream&, const QStringList&
    149, 149, 0,	//597  QWidget::RenderFlag, QWidget::RenderFlag
    286, 270, 0,	//600  const QRegion&, const QMatrix&
    47, 285, 0,	//603  QDataStream&, const QRegExp&
    296, 302, 0,	//606  const QStringRef&, const char*
    286, 297, 0,	//609  const QRegion&, const QTransform&
    211, 78, 0,	//612  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    128, 128, 0,	//615  QSizePolicy::ControlType, QSizePolicy::ControlType
    47, 145, 0,	//618  QDataStream&, QVariant&
    214, 79, 0,	//621  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    305, 278, 0,	//624  float, const QPoint&
    304, 278, 0,	//627  double, const QPoint&
    47, 83, 0,	//630  QDataStream&, QFont&
    47, 254, 0,	//633  QDataStream&, const QCursor&
    22, 306, 0,	//636  KUrl::QueryItemsOption, int
    47, 46, 0,	//639  QDataStream&, QCursor&
    47, 276, 0,	//642  QDataStream&, const QPixmap&
    47, 106, 0,	//645  QDataStream&, QPainterPath&
    4, 54, 0,	//648  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    214, 306, 0,	//651  Qt::TouchPointState, int
    265, 270, 0,	//654  const QLineF&, const QMatrix&
    194, 75, 0,	//657  Qt::MouseButton, QFlags<Qt::MouseButton>
    172, 68, 0,	//660  Qt::DropAction, QFlags<Qt::DropAction>
    196, 306, 0,	//663  Qt::Orientation, int
    211, 306, 0,	//666  Qt::ToolBarArea, int
    47, 39, 0,	//669  QDataStream&, QByteArray&
    47, 146, 0,	//672  QDataStream&, QVariant::Type&
    47, 283, 0,	//675  QDataStream&, const QRect&
    47, 116, 0,	//678  QDataStream&, QPolygonF&
    18, 56, 0,	//681  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    47, 127, 0,	//684  QDataStream&, QSizePolicy&
    214, 214, 0,	//687  Qt::TouchPointState, Qt::TouchPointState
    181, 70, 0,	//690  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    47, 87, 0,	//693  QDataStream&, QImage&
    220, 80, 0,	//696  Qt::WindowState, QFlags<Qt::WindowState>
    170, 170, 0,	//699  Qt::DockWidgetArea, Qt::DockWidgetArea
    304, 290, 0,	//702  double, const QSizeF&
    278, 306, 0,	//705  const QPoint&, int
    143, 306, 0,	//708  QUrl::FormattingOption, int
    192, 192, 0,	//711  Qt::MatchFlag, Qt::MatchFlag
    183, 183, 0,	//714  Qt::InputMethodHint, Qt::InputMethodHint
    196, 76, 0,	//717  Qt::Orientation, QFlags<Qt::Orientation>
    186, 306, 0,	//720  Qt::ItemFlag, int
    194, 306, 0,	//723  Qt::MouseButton, int
    47, 275, 0,	//726  QDataStream&, const QPalette&
    10, 306, 0,	//729  KIconLoader::Group&, int
    128, 62, 0,	//732  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    47, 126, 0,	//735  QDataStream&, QSizeF&
    18, 18, 0,	//738  KUrl::CleanPathOption, KUrl::CleanPathOption
    132, 306, 0,	//741  QString::SectionFlag, int
    85, 306, 0,	//744  QIODevice::OpenModeFlag, int
    4, 4, 0,	//747  KConfig::OpenFlag, KConfig::OpenFlag
    244, 293, 0,	//750  char, const QString&
    47, 288, 0,	//753  QDataStream&, const QSize&
    47, 291, 0,	//756  QDataStream&, const QSizePolicy&
    132, 132, 0,	//759  QString::SectionFlag, QString::SectionFlag
    101, 53, 0,	//762  QObject*, QEvent*
    139, 0,	//765  QTimerEvent*
    42, 0,	//767  QChildEvent*
    243, 0,	//769  bool
    306, 0,	//771  int
    99, 0,	//773  QMouseEvent*
    147, 0,	//775  QWheelEvent*
    90, 0,	//777  QKeyEvent*
    82, 0,	//779  QFocusEvent*
    104, 0,	//781  QPaintEvent*
    100, 0,	//783  QMoveEvent*
    122, 0,	//785  QResizeEvent*
    43, 0,	//787  QCloseEvent*
    45, 0,	//789  QContextMenuEvent*
    137, 0,	//791  QTabletEvent*
    36, 0,	//793  QActionEvent*
    49, 0,	//795  QDragEnterEvent*
    51, 0,	//797  QDragMoveEvent*
    50, 0,	//799  QDragLeaveEvent*
    52, 0,	//801  QDropEvent*
    123, 0,	//803  QShowEvent*
    84, 0,	//805  QHideEvent*
    242, 0,	//807  _XEvent*
    102, 0,	//809  QPaintDevice::PaintDeviceMetric
    89, 0,	//811  QInputMethodEvent*
    184, 0,	//813  Qt::InputMethodQuery
    136, 0,	//815  QStyle&
    275, 0,	//817  const QPalette&
    258, 0,	//819  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Application",	//1
    "Application$",	//2
    "Bottom",	//3
    "DocumentManager",	//4
    "DocumentManager$",	//5
    "DrawChildren",	//6
    "DrawWindowBackground",	//7
    "IgnoreMask",	//8
    "Left",	//9
    "LicensedActiveQt",	//10
    "LicensedCore",	//11
    "LicensedDBus",	//12
    "LicensedDeclarative",	//13
    "LicensedGui",	//14
    "LicensedHelp",	//15
    "LicensedMultimedia",	//16
    "LicensedNetwork",	//17
    "LicensedOpenGL",	//18
    "LicensedOpenVG",	//19
    "LicensedQt3Support",	//20
    "LicensedQt3SupportLight",	//21
    "LicensedScript",	//22
    "LicensedScriptTools",	//23
    "LicensedSql",	//24
    "LicensedSvg",	//25
    "LicensedTest",	//26
    "LicensedXml",	//27
    "LicensedXmlPatterns",	//28
    "MainWindow",	//29
    "MainWindow$",	//30
    "Plugin",	//31
    "Plugin#",	//32
    "Plugin#$",	//33
    "PluginConfigPage",	//34
    "PluginConfigPage#",	//35
    "PluginConfigPage#$",	//36
    "PluginConfigPageInterface",	//37
    "PluginConfigPageInterface#",	//38
    "PluginManager",	//39
    "PluginManager$",	//40
    "PluginView",	//41
    "PluginView#",	//42
    "Q_COMPLEX_TYPE",	//43
    "Q_DUMMY_TYPE",	//44
    "Q_MOVABLE_TYPE",	//45
    "Q_PRIMITIVE_TYPE",	//46
    "Q_STATIC_TYPE",	//47
    "QtCriticalMsg",	//48
    "QtDebugMsg",	//49
    "QtFatalMsg",	//50
    "QtSystemMsg",	//51
    "QtWarningMsg",	//52
    "Right",	//53
    "StateNoReverse",	//54
    "StateReverse",	//55
    "Top",	//56
    "XMLGUIClient",	//57
    "XMLGUIClient#",	//58
    "action",	//59
    "actionCollection",	//60
    "actionEvent",	//61
    "activateView",	//62
    "activateView#",	//63
    "activeMainWindow",	//64
    "activeView",	//65
    "application",	//66
    "apply",	//67
    "centralWidget",	//68
    "changeEvent",	//69
    "changed",	//70
    "childEvent",	//71
    "closeDocument",	//72
    "closeDocument#",	//73
    "closeDocumentList",	//74
    "closeDocumentList?",	//75
    "closeEvent",	//76
    "componentData",	//77
    "configPage",	//78
    "configPage$",	//79
    "configPage$#",	//80
    "configPage$#$",	//81
    "configPageFullName",	//82
    "configPageFullName$",	//83
    "configPageIcon",	//84
    "configPageIcon$",	//85
    "configPageName",	//86
    "configPageName$",	//87
    "configPages",	//88
    "connectNotify",	//89
    "contextMenuEvent",	//90
    "createToolView",	//91
    "createToolView#$$#$",	//92
    "createToolView$$#$",	//93
    "createView",	//94
    "createView#",	//95
    "customEvent",	//96
    "defaults",	//97
    "devType",	//98
    "disconnectNotify",	//99
    "documentCreated",	//100
    "documentCreated#",	//101
    "documentDeleted",	//102
    "documentDeleted#",	//103
    "documentManager",	//104
    "documentWillBeDeleted",	//105
    "documentWillBeDeleted#",	//106
    "documents",	//107
    "domDocument",	//108
    "dragEnterEvent",	//109
    "dragLeaveEvent",	//110
    "dragMoveEvent",	//111
    "dropEvent",	//112
    "editor",	//113
    "enabledChange",	//114
    "enterEvent",	//115
    "event",	//116
    "eventFilter",	//117
    "findUrl",	//118
    "findUrl#",	//119
    "focusInEvent",	//120
    "focusNextPrevChild",	//121
    "focusOutEvent",	//122
    "fontChange",	//123
    "guiFactory",	//124
    "heightForWidth",	//125
    "hideEvent",	//126
    "hideToolView",	//127
    "hideToolView#",	//128
    "inputMethodEvent",	//129
    "inputMethodQuery",	//130
    "keyPressEvent",	//131
    "keyReleaseEvent",	//132
    "languageChange",	//133
    "leaveEvent",	//134
    "loadPlugin",	//135
    "loadPlugin$",	//136
    "loadPlugin$$",	//137
    "localXMLFile",	//138
    "mainWindow",	//139
    "mainWindows",	//140
    "metaObject",	//141
    "metric",	//142
    "minimumSizeHint",	//143
    "mouseDoubleClickEvent",	//144
    "mouseMoveEvent",	//145
    "mousePressEvent",	//146
    "mouseReleaseEvent",	//147
    "moveEvent",	//148
    "moveToolView",	//149
    "moveToolView#$",	//150
    "openUrl",	//151
    "openUrl#",	//152
    "openUrl#$",	//153
    "operator!=",	//154
    "operator!=##",	//155
    "operator!=#$",	//156
    "operator!=$#",	//157
    "operator!=$$",	//158
    "operator*",	//159
    "operator*##",	//160
    "operator*#$",	//161
    "operator*$#",	//162
    "operator+",	//163
    "operator+##",	//164
    "operator+#$",	//165
    "operator+$#",	//166
    "operator+$$",	//167
    "operator++",	//168
    "operator++$",	//169
    "operator++$$",	//170
    "operator-",	//171
    "operator-#",	//172
    "operator-##",	//173
    "operator-#$",	//174
    "operator/",	//175
    "operator/#$",	//176
    "operator<",	//177
    "operator<##",	//178
    "operator<#$",	//179
    "operator<$#",	//180
    "operator<$$",	//181
    "operator<<",	//182
    "operator<<##",	//183
    "operator<<#$",	//184
    "operator<<#?",	//185
    "operator<=",	//186
    "operator<=##",	//187
    "operator<=#$",	//188
    "operator<=$#",	//189
    "operator<=$$",	//190
    "operator==",	//191
    "operator==##",	//192
    "operator==#$",	//193
    "operator==$#",	//194
    "operator==$$",	//195
    "operator>",	//196
    "operator>##",	//197
    "operator>#$",	//198
    "operator>$#",	//199
    "operator>$$",	//200
    "operator>=",	//201
    "operator>=##",	//202
    "operator>=#$",	//203
    "operator>=$#",	//204
    "operator>=$$",	//205
    "operator>>",	//206
    "operator>>##",	//207
    "operator>>#$",	//208
    "operator>>#?",	//209
    "operator|",	//210
    "operator|$$",	//211
    "paintEngine",	//212
    "paintEvent",	//213
    "paletteChange",	//214
    "plugin",	//215
    "plugin$",	//216
    "pluginAvailable",	//217
    "pluginAvailable$",	//218
    "pluginConfigPageInterfaceNumber",	//219
    "pluginLoaded",	//220
    "pluginLoaded$#",	//221
    "pluginManager",	//222
    "pluginUnloaded",	//223
    "pluginUnloaded$#",	//224
    "pluginView",	//225
    "pluginView$",	//226
    "pluginViewCreated",	//227
    "pluginViewCreated$#",	//228
    "pluginViewDeleted",	//229
    "pluginViewDeleted$#",	//230
    "qt_metacall",	//231
    "qt_metacall$$?",	//232
    "qt_metacast",	//233
    "qt_metacast$",	//234
    "readSessionConfig",	//235
    "readSessionConfig#$",	//236
    "reset",	//237
    "resizeEvent",	//238
    "setComponentData",	//239
    "setDOMDocument",	//240
    "setLocalXMLFile",	//241
    "setVisible",	//242
    "setXML",	//243
    "setXMLFile",	//244
    "showEvent",	//245
    "showPluginConfigPage",	//246
    "showPluginConfigPage#$",	//247
    "showToolView",	//248
    "showToolView#",	//249
    "sizeHint",	//250
    "stateChanged",	//251
    "staticMetaObject",	//252
    "styleChange",	//253
    "tabletEvent",	//254
    "timerEvent",	//255
    "tr",	//256
    "tr$",	//257
    "tr$$",	//258
    "tr$$$",	//259
    "trUtf8",	//260
    "trUtf8$",	//261
    "trUtf8$$",	//262
    "trUtf8$$$",	//263
    "unhandledShortcutOverride",	//264
    "unhandledShortcutOverride#",	//265
    "unloadPlugin",	//266
    "unloadPlugin$",	//267
    "unloadPlugin$$",	//268
    "viewChanged",	//269
    "viewCreated",	//270
    "viewCreated#",	//271
    "views",	//272
    "virtual_hook",	//273
    "wheelEvent",	//274
    "window",	//275
    "windowActivationChange",	//276
    "writeSessionConfig",	//277
    "writeSessionConfig#$",	//278
    "x11Event",	//279
    "xmlFile",	//280
    "~Application",	//281
    "~DocumentManager",	//282
    "~MainWindow",	//283
    "~Plugin",	//284
    "~PluginConfigPage",	//285
    "~PluginConfigPageInterface",	//286
    "~PluginManager",	//287
    "~PluginView",	//288
    "~XMLGUIClient",	//289
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {13, 59, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 35, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {13, 60, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {13, 77, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {13, 108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 48, 0},	//4 KXMLGUIClient::domDocument() const
    {13, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 129, 0},	//5 KXMLGUIClient::xmlFile() const
    {13, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 129, 0},	//6 KXMLGUIClient::localXMLFile() const
    {13, 239, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {13, 244, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {13, 241, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {13, 243, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {13, 240, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {13, 251, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {13, 273, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {13, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {13, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {15, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//16 Kate::Application::metaObject() const
    {15, 233, 23, 1, Smoke::mf_virtual, 310, 2},	//17 Kate::Application::qt_metacast(const char*)
    {15, 256, 25, 2, Smoke::mf_static, 129, 3},	//18 Kate::Application::tr(const char*, const char*)
    {15, 260, 25, 2, Smoke::mf_static, 129, 4},	//19 Kate::Application::trUtf8(const char*, const char*)
    {15, 256, 28, 3, Smoke::mf_static, 129, 5},	//20 Kate::Application::tr(const char*, const char*, int)
    {15, 260, 28, 3, Smoke::mf_static, 129, 6},	//21 Kate::Application::trUtf8(const char*, const char*, int)
    {15, 231, 32, 3, Smoke::mf_virtual, 306, 7},	//22 Kate::Application::qt_metacall(QMetaObject::Call, int, void**)
    {15, 1, 36, 1, Smoke::mf_ctor, 25, 8},	//23 Kate::Application::Application(void*)
    {15, 104, 0, 0, 0, 26, 9},	//24 Kate::Application::documentManager()
    {15, 222, 0, 0, 0, 32, 10},	//25 Kate::Application::pluginManager()
    {15, 113, 0, 0, 0, 16, 11},	//26 Kate::Application::editor()
    {15, 64, 0, 0, 0, 27, 12},	//27 Kate::Application::activeMainWindow()
    {15, 140, 0, 0, Smoke::mf_const, 268, 13},	//28 Kate::Application::mainWindows() const
    {15, 256, 23, 1, Smoke::mf_static, 129, 14},	//29 Kate::Application::tr(const char*)
    {15, 260, 23, 1, Smoke::mf_static, 129, 15},	//30 Kate::Application::trUtf8(const char*)
    {15, 252, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 16},	//31 Kate::Application::staticMetaObject() const
    {15, 281, 0, 0, Smoke::mf_dtor, 0, 17 },	//32 Kate::Application::~Application()
    {16, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//33 Kate::DocumentManager::metaObject() const
    {16, 233, 23, 1, Smoke::mf_virtual, 310, 2},	//34 Kate::DocumentManager::qt_metacast(const char*)
    {16, 256, 25, 2, Smoke::mf_static, 129, 3},	//35 Kate::DocumentManager::tr(const char*, const char*)
    {16, 260, 25, 2, Smoke::mf_static, 129, 4},	//36 Kate::DocumentManager::trUtf8(const char*, const char*)
    {16, 256, 28, 3, Smoke::mf_static, 129, 5},	//37 Kate::DocumentManager::tr(const char*, const char*, int)
    {16, 260, 28, 3, Smoke::mf_static, 129, 6},	//38 Kate::DocumentManager::trUtf8(const char*, const char*, int)
    {16, 231, 32, 3, Smoke::mf_virtual, 306, 7},	//39 Kate::DocumentManager::qt_metacall(QMetaObject::Call, int, void**)
    {16, 4, 36, 1, Smoke::mf_ctor, 26, 8},	//40 Kate::DocumentManager::DocumentManager(void*)
    {16, 107, 0, 0, Smoke::mf_const, 266, 9},	//41 Kate::DocumentManager::documents() const
    {16, 118, 38, 1, Smoke::mf_const, 15, 10},	//42 Kate::DocumentManager::findUrl(const KUrl&) const
    {16, 151, 40, 2, 0, 15, 11},	//43 Kate::DocumentManager::openUrl(const KUrl&, const QString&)
    {16, 72, 43, 1, 0, 243, 12},	//44 Kate::DocumentManager::closeDocument(KTextEditor::Document*)
    {16, 74, 45, 1, 0, 243, 13},	//45 Kate::DocumentManager::closeDocumentList(QList<KTextEditor::Document*>)
    {16, 100, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//46 Kate::DocumentManager::documentCreated(KTextEditor::Document*)
    {16, 105, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//47 Kate::DocumentManager::documentWillBeDeleted(KTextEditor::Document*)
    {16, 102, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//48 Kate::DocumentManager::documentDeleted(KTextEditor::Document*)
    {16, 256, 23, 1, Smoke::mf_static, 129, 17},	//49 Kate::DocumentManager::tr(const char*)
    {16, 260, 23, 1, Smoke::mf_static, 129, 18},	//50 Kate::DocumentManager::trUtf8(const char*)
    {16, 151, 38, 1, 0, 15, 19},	//51 Kate::DocumentManager::openUrl(const KUrl&)
    {16, 252, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 20},	//52 Kate::DocumentManager::staticMetaObject() const
    {16, 282, 0, 0, Smoke::mf_dtor, 0, 21 },	//53 Kate::DocumentManager::~DocumentManager()
    {17, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//54 Kate::MainWindow::metaObject() const
    {17, 233, 23, 1, Smoke::mf_virtual, 310, 2},	//55 Kate::MainWindow::qt_metacast(const char*)
    {17, 256, 25, 2, Smoke::mf_static, 129, 3},	//56 Kate::MainWindow::tr(const char*, const char*)
    {17, 260, 25, 2, Smoke::mf_static, 129, 4},	//57 Kate::MainWindow::trUtf8(const char*, const char*)
    {17, 256, 28, 3, Smoke::mf_static, 129, 5},	//58 Kate::MainWindow::tr(const char*, const char*, int)
    {17, 260, 28, 3, Smoke::mf_static, 129, 6},	//59 Kate::MainWindow::trUtf8(const char*, const char*, int)
    {17, 231, 32, 3, Smoke::mf_virtual, 306, 7},	//60 Kate::MainWindow::qt_metacall(QMetaObject::Call, int, void**)
    {17, 29, 36, 1, Smoke::mf_ctor, 27, 8},	//61 Kate::MainWindow::MainWindow(void*)
    {17, 124, 0, 0, Smoke::mf_const, 24, 9},	//62 Kate::MainWindow::guiFactory() const
    {17, 275, 0, 0, Smoke::mf_const, 148, 10},	//63 Kate::MainWindow::window() const
    {17, 68, 0, 0, Smoke::mf_const, 148, 11},	//64 Kate::MainWindow::centralWidget() const
    {17, 272, 0, 0, Smoke::mf_const, 267, 12},	//65 Kate::MainWindow::views() const
    {17, 65, 0, 0, 0, 17, 13},	//66 Kate::MainWindow::activeView()
    {17, 62, 43, 1, 0, 17, 14},	//67 Kate::MainWindow::activateView(KTextEditor::Document*)
    {17, 151, 40, 2, 0, 17, 15},	//68 Kate::MainWindow::openUrl(const KUrl&, const QString&)
    {17, 269, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//69 Kate::MainWindow::viewChanged()
    {17, 270, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//70 Kate::MainWindow::viewCreated(KTextEditor::View*)
    {17, 264, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//71 Kate::MainWindow::unhandledShortcutOverride(QEvent*)
    {17, 227, 51, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//72 Kate::MainWindow::pluginViewCreated(const QString&, Kate::PluginView*)
    {17, 229, 51, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//73 Kate::MainWindow::pluginViewDeleted(const QString&, Kate::PluginView*)
    {17, 91, 54, 4, 0, 148, 21},	//74 Kate::MainWindow::createToolView(const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {17, 91, 59, 5, 0, 148, 22},	//75 Kate::MainWindow::createToolView(Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {17, 149, 65, 2, 0, 243, 23},	//76 Kate::MainWindow::moveToolView(QWidget*, Kate::MainWindow::Position)
    {17, 248, 68, 1, 0, 243, 24},	//77 Kate::MainWindow::showToolView(QWidget*)
    {17, 127, 68, 1, 0, 243, 25},	//78 Kate::MainWindow::hideToolView(QWidget*)
    {17, 246, 70, 2, 0, 0, 26},	//79 Kate::MainWindow::showPluginConfigPage(Kate::PluginConfigPageInterface*, unsigned int)
    {17, 225, 9, 1, 0, 33, 27},	//80 Kate::MainWindow::pluginView(const QString&)
    {17, 256, 23, 1, Smoke::mf_static, 129, 28},	//81 Kate::MainWindow::tr(const char*)
    {17, 260, 23, 1, Smoke::mf_static, 129, 29},	//82 Kate::MainWindow::trUtf8(const char*)
    {17, 151, 38, 1, 0, 17, 30},	//83 Kate::MainWindow::openUrl(const KUrl&)
    {17, 252, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 31},	//84 Kate::MainWindow::staticMetaObject() const
    {17, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 32},	//85 Kate::MainWindow::Left (enum)
    {17, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 33},	//86 Kate::MainWindow::Right (enum)
    {17, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 34},	//87 Kate::MainWindow::Top (enum)
    {17, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 35},	//88 Kate::MainWindow::Bottom (enum)
    {17, 283, 0, 0, Smoke::mf_dtor, 0, 36 },	//89 Kate::MainWindow::~MainWindow()
    {18, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//90 Kate::Plugin::metaObject() const
    {18, 233, 23, 1, Smoke::mf_virtual, 310, 2},	//91 Kate::Plugin::qt_metacast(const char*)
    {18, 256, 25, 2, Smoke::mf_static, 129, 3},	//92 Kate::Plugin::tr(const char*, const char*)
    {18, 260, 25, 2, Smoke::mf_static, 129, 4},	//93 Kate::Plugin::trUtf8(const char*, const char*)
    {18, 256, 28, 3, Smoke::mf_static, 129, 5},	//94 Kate::Plugin::tr(const char*, const char*, int)
    {18, 260, 28, 3, Smoke::mf_static, 129, 6},	//95 Kate::Plugin::trUtf8(const char*, const char*, int)
    {18, 231, 32, 3, Smoke::mf_virtual, 306, 7},	//96 Kate::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {18, 31, 73, 2, Smoke::mf_ctor, 29, 8},	//97 Kate::Plugin::Plugin(Kate::Application*, const char*)
    {18, 66, 0, 0, Smoke::mf_const, 25, 9},	//98 Kate::Plugin::application() const
    {18, 94, 76, 1, Smoke::mf_virtual, 33, 10},	//99 Kate::Plugin::createView(Kate::MainWindow*)
    {18, 235, 78, 2, Smoke::mf_virtual, 0, 11},	//100 Kate::Plugin::readSessionConfig(KConfigBase*, const QString&)
    {18, 277, 78, 2, Smoke::mf_virtual, 0, 12},	//101 Kate::Plugin::writeSessionConfig(KConfigBase*, const QString&)
    {18, 256, 23, 1, Smoke::mf_static, 129, 13},	//102 Kate::Plugin::tr(const char*)
    {18, 260, 23, 1, Smoke::mf_static, 129, 14},	//103 Kate::Plugin::trUtf8(const char*)
    {18, 31, 0, 0, Smoke::mf_ctor, 29, 15},	//104 Kate::Plugin::Plugin()
    {18, 31, 81, 1, Smoke::mf_ctor, 29, 16},	//105 Kate::Plugin::Plugin(Kate::Application*)
    {18, 252, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 17},	//106 Kate::Plugin::staticMetaObject() const
    {18, 284, 0, 0, Smoke::mf_dtor, 0, 18 },	//107 Kate::Plugin::~Plugin()
    {19, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//108 Kate::PluginConfigPage::metaObject() const
    {19, 233, 23, 1, Smoke::mf_virtual, 310, 2},	//109 Kate::PluginConfigPage::qt_metacast(const char*)
    {19, 256, 25, 2, Smoke::mf_static, 129, 3},	//110 Kate::PluginConfigPage::tr(const char*, const char*)
    {19, 260, 25, 2, Smoke::mf_static, 129, 4},	//111 Kate::PluginConfigPage::trUtf8(const char*, const char*)
    {19, 256, 28, 3, Smoke::mf_static, 129, 5},	//112 Kate::PluginConfigPage::tr(const char*, const char*, int)
    {19, 260, 28, 3, Smoke::mf_static, 129, 6},	//113 Kate::PluginConfigPage::trUtf8(const char*, const char*, int)
    {19, 231, 32, 3, Smoke::mf_virtual, 306, 7},	//114 Kate::PluginConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {19, 34, 83, 2, Smoke::mf_ctor, 30, 8},	//115 Kate::PluginConfigPage::PluginConfigPage(QWidget*, const char*)
    {19, 67, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//116 Kate::PluginConfigPage::apply() [pure virtual]
    {19, 237, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//117 Kate::PluginConfigPage::reset() [pure virtual]
    {19, 97, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//118 Kate::PluginConfigPage::defaults() [pure virtual]
    {19, 70, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//119 Kate::PluginConfigPage::changed()
    {19, 256, 23, 1, Smoke::mf_static, 129, 13},	//120 Kate::PluginConfigPage::tr(const char*)
    {19, 260, 23, 1, Smoke::mf_static, 129, 14},	//121 Kate::PluginConfigPage::trUtf8(const char*)
    {19, 34, 0, 0, Smoke::mf_ctor, 30, 15},	//122 Kate::PluginConfigPage::PluginConfigPage()
    {19, 34, 68, 1, Smoke::mf_ctor, 30, 16},	//123 Kate::PluginConfigPage::PluginConfigPage(QWidget*)
    {19, 252, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 17},	//124 Kate::PluginConfigPage::staticMetaObject() const
    {19, 285, 0, 0, Smoke::mf_dtor, 0, 18 },	//125 Kate::PluginConfigPage::~PluginConfigPage()
    {20, 37, 0, 0, Smoke::mf_ctor, 31, 1},	//126 Kate::PluginConfigPageInterface::PluginConfigPageInterface()
    {20, 219, 0, 0, Smoke::mf_const, 309, 2},	//127 Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber() const
    {20, 88, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 309, 3},	//128 Kate::PluginConfigPageInterface::configPages() const [pure virtual]
    {20, 78, 86, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 30, 4},	//129 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*, const char*) [pure virtual]
    {20, 86, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 5},	//130 Kate::PluginConfigPageInterface::configPageName(unsigned int) const [pure virtual]
    {20, 82, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 6},	//131 Kate::PluginConfigPageInterface::configPageFullName(unsigned int) const [pure virtual]
    {20, 84, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 8, 7},	//132 Kate::PluginConfigPageInterface::configPageIcon(unsigned int) const [pure virtual]
    {20, 37, 92, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 8},	//133 Kate::PluginConfigPageInterface::PluginConfigPageInterface(const Kate::PluginConfigPageInterface&)
    {20, 78, 0, 0, 0, 30, 9},	//134 Kate::PluginConfigPageInterface::configPage()
    {20, 78, 90, 1, 0, 30, 10},	//135 Kate::PluginConfigPageInterface::configPage(unsigned int)
    {20, 78, 94, 2, 0, 30, 11},	//136 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*)
    {20, 86, 0, 0, Smoke::mf_const, 129, 12},	//137 Kate::PluginConfigPageInterface::configPageName() const
    {20, 82, 0, 0, Smoke::mf_const, 129, 13},	//138 Kate::PluginConfigPageInterface::configPageFullName() const
    {20, 84, 0, 0, Smoke::mf_const, 8, 14},	//139 Kate::PluginConfigPageInterface::configPageIcon() const
    {20, 286, 0, 0, Smoke::mf_dtor, 0, 15 },	//140 Kate::PluginConfigPageInterface::~PluginConfigPageInterface()
    {21, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//141 Kate::PluginManager::metaObject() const
    {21, 233, 23, 1, Smoke::mf_virtual, 310, 2},	//142 Kate::PluginManager::qt_metacast(const char*)
    {21, 256, 25, 2, Smoke::mf_static, 129, 3},	//143 Kate::PluginManager::tr(const char*, const char*)
    {21, 260, 25, 2, Smoke::mf_static, 129, 4},	//144 Kate::PluginManager::trUtf8(const char*, const char*)
    {21, 256, 28, 3, Smoke::mf_static, 129, 5},	//145 Kate::PluginManager::tr(const char*, const char*, int)
    {21, 260, 28, 3, Smoke::mf_static, 129, 6},	//146 Kate::PluginManager::trUtf8(const char*, const char*, int)
    {21, 231, 32, 3, Smoke::mf_virtual, 306, 7},	//147 Kate::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {21, 39, 36, 1, Smoke::mf_ctor, 32, 8},	//148 Kate::PluginManager::PluginManager(void*)
    {21, 215, 9, 1, 0, 29, 9},	//149 Kate::PluginManager::plugin(const QString&)
    {21, 217, 9, 1, 0, 243, 10},	//150 Kate::PluginManager::pluginAvailable(const QString&)
    {21, 135, 11, 2, 0, 29, 11},	//151 Kate::PluginManager::loadPlugin(const QString&, bool)
    {21, 266, 11, 2, 0, 0, 12},	//152 Kate::PluginManager::unloadPlugin(const QString&, bool)
    {21, 220, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//153 Kate::PluginManager::pluginLoaded(const QString&, Kate::Plugin*)
    {21, 223, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//154 Kate::PluginManager::pluginUnloaded(const QString&, Kate::Plugin*)
    {21, 256, 23, 1, Smoke::mf_static, 129, 15},	//155 Kate::PluginManager::tr(const char*)
    {21, 260, 23, 1, Smoke::mf_static, 129, 16},	//156 Kate::PluginManager::trUtf8(const char*)
    {21, 135, 9, 1, 0, 29, 17},	//157 Kate::PluginManager::loadPlugin(const QString&)
    {21, 266, 9, 1, 0, 0, 18},	//158 Kate::PluginManager::unloadPlugin(const QString&)
    {21, 252, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 19},	//159 Kate::PluginManager::staticMetaObject() const
    {21, 287, 0, 0, Smoke::mf_dtor, 0, 20 },	//160 Kate::PluginManager::~PluginManager()
    {22, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//161 Kate::PluginView::metaObject() const
    {22, 233, 23, 1, Smoke::mf_virtual, 310, 2},	//162 Kate::PluginView::qt_metacast(const char*)
    {22, 256, 25, 2, Smoke::mf_static, 129, 3},	//163 Kate::PluginView::tr(const char*, const char*)
    {22, 260, 25, 2, Smoke::mf_static, 129, 4},	//164 Kate::PluginView::trUtf8(const char*, const char*)
    {22, 256, 28, 3, Smoke::mf_static, 129, 5},	//165 Kate::PluginView::tr(const char*, const char*, int)
    {22, 260, 28, 3, Smoke::mf_static, 129, 6},	//166 Kate::PluginView::trUtf8(const char*, const char*, int)
    {22, 231, 32, 3, Smoke::mf_virtual, 306, 7},	//167 Kate::PluginView::qt_metacall(QMetaObject::Call, int, void**)
    {22, 41, 76, 1, Smoke::mf_ctor, 33, 8},	//168 Kate::PluginView::PluginView(Kate::MainWindow*)
    {22, 139, 0, 0, Smoke::mf_const, 27, 9},	//169 Kate::PluginView::mainWindow() const
    {22, 235, 78, 2, Smoke::mf_virtual, 0, 10},	//170 Kate::PluginView::readSessionConfig(KConfigBase*, const QString&)
    {22, 277, 78, 2, Smoke::mf_virtual, 0, 11},	//171 Kate::PluginView::writeSessionConfig(KConfigBase*, const QString&)
    {22, 256, 23, 1, Smoke::mf_static, 129, 12},	//172 Kate::PluginView::tr(const char*)
    {22, 260, 23, 1, Smoke::mf_static, 129, 13},	//173 Kate::PluginView::trUtf8(const char*)
    {22, 252, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 14},	//174 Kate::PluginView::staticMetaObject() const
    {22, 288, 0, 0, Smoke::mf_dtor, 0, 15 },	//175 Kate::PluginView::~PluginView()
    {23, 57, 3, 1, Smoke::mf_ctor, 34, 1},	//176 Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    {23, 57, 100, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//177 Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    {23, 289, 0, 0, Smoke::mf_dtor, 0, 3 },	//178 Kate::XMLGUIClient::~XMLGUIClient()
    {46, 210, 102, 2, Smoke::mf_static, 57, 1},	//179 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {46, 206, 105, 2, Smoke::mf_static, 47, 2},	//180 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {46, 206, 108, 2, Smoke::mf_static, 47, 3},	//181 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {46, 201, 111, 2, Smoke::mf_static, 243, 4},	//182 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {46, 210, 114, 2, Smoke::mf_static, 88, 5},	//183 QGlobalSpace::operator|(Qt::WindowType, int)
    {46, 159, 117, 2, Smoke::mf_static, 289, 6},	//184 QGlobalSpace::operator*(const QSizeF&, double)
    {46, 177, 120, 2, Smoke::mf_static, 243, 7},	//185 QGlobalSpace::operator<(const QByteArray&, const char*)
    {46, 196, 123, 2, Smoke::mf_static, 243, 8},	//186 QGlobalSpace::operator>(const char*, const QString&)
    {46, 206, 126, 2, Smoke::mf_static, 47, 9},	//187 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {46, 159, 129, 2, Smoke::mf_static, 111, 10},	//188 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {46, 210, 132, 2, Smoke::mf_static, 72, 11},	//189 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {46, 191, 135, 2, Smoke::mf_static, 243, 12},	//190 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {46, 175, 138, 2, Smoke::mf_static, 140, 13},	//191 QGlobalSpace::operator/(const QTransform&, double)
    {46, 191, 141, 2, Smoke::mf_static, 243, 14},	//192 QGlobalSpace::operator==(const QSize&, const QSize&)
    {46, 163, 144, 2, Smoke::mf_static, 292, 15},	//193 QGlobalSpace::operator+(QChar, const QString&)
    {46, 186, 147, 2, Smoke::mf_static, 243, 16},	//194 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {46, 186, 150, 2, Smoke::mf_static, 243, 17},	//195 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {46, 154, 153, 2, Smoke::mf_static, 243, 18},	//196 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {46, 154, 156, 2, Smoke::mf_static, 243, 19},	//197 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {46, 163, 141, 2, Smoke::mf_static, 287, 20},	//198 QGlobalSpace::operator+(const QSize&, const QSize&)
    {46, 163, 159, 2, Smoke::mf_static, 292, 21},	//199 QGlobalSpace::operator+(const QString&, QChar)
    {46, 210, 162, 2, Smoke::mf_static, 55, 22},	//200 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {46, 191, 150, 2, Smoke::mf_static, 243, 23},	//201 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {46, 154, 165, 2, Smoke::mf_static, 243, 24},	//202 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {46, 159, 168, 2, Smoke::mf_static, 105, 25},	//203 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {46, 210, 171, 2, Smoke::mf_static, 78, 26},	//204 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {46, 154, 174, 2, Smoke::mf_static, 243, 27},	//205 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {46, 206, 177, 2, Smoke::mf_static, 47, 28},	//206 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {46, 191, 180, 2, Smoke::mf_static, 243, 29},	//207 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {46, 182, 183, 2, Smoke::mf_static, 47, 30},	//208 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {46, 210, 186, 2, Smoke::mf_static, 88, 31},	//209 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {46, 210, 189, 2, Smoke::mf_static, 88, 32},	//210 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {46, 154, 192, 2, Smoke::mf_static, 243, 33},	//211 QGlobalSpace::operator!=(QChar, QChar)
    {46, 210, 195, 2, Smoke::mf_static, 65, 34},	//212 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {46, 182, 198, 2, Smoke::mf_static, 47, 35},	//213 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {46, 210, 201, 2, Smoke::mf_static, 60, 36},	//214 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {46, 206, 204, 2, Smoke::mf_static, 47, 37},	//215 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {46, 159, 207, 2, Smoke::mf_static, 115, 38},	//216 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {46, 206, 210, 2, Smoke::mf_static, 47, 39},	//217 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {46, 171, 153, 2, Smoke::mf_static, 279, 40},	//218 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {46, 182, 213, 2, Smoke::mf_static, 47, 41},	//219 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {46, 191, 111, 2, Smoke::mf_static, 243, 42},	//220 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {46, 182, 216, 2, Smoke::mf_static, 47, 43},	//221 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {46, 210, 219, 2, Smoke::mf_static, 59, 44},	//222 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {46, 210, 222, 2, Smoke::mf_static, 77, 45},	//223 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {46, 210, 225, 2, Smoke::mf_static, 72, 46},	//224 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {46, 210, 228, 2, Smoke::mf_static, 71, 47},	//225 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {46, 182, 231, 2, Smoke::mf_static, 47, 48},	//226 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {46, 182, 234, 2, Smoke::mf_static, 47, 49},	//227 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {46, 196, 147, 2, Smoke::mf_static, 243, 50},	//228 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {46, 154, 237, 2, Smoke::mf_static, 243, 51},	//229 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {46, 163, 240, 2, Smoke::mf_static, 250, 52},	//230 QGlobalSpace::operator+(const char*, const QByteArray&)
    {46, 206, 243, 2, Smoke::mf_static, 47, 53},	//231 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {46, 154, 111, 2, Smoke::mf_static, 243, 54},	//232 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {46, 206, 246, 2, Smoke::mf_static, 47, 55},	//233 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {46, 210, 249, 2, Smoke::mf_static, 88, 56},	//234 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {46, 159, 252, 2, Smoke::mf_static, 92, 57},	//235 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {46, 154, 255, 2, Smoke::mf_static, 243, 58},	//236 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {46, 177, 240, 2, Smoke::mf_static, 243, 59},	//237 QGlobalSpace::operator<(const char*, const QByteArray&)
    {46, 201, 192, 2, Smoke::mf_static, 243, 60},	//238 QGlobalSpace::operator>=(QChar, QChar)
    {46, 210, 258, 2, Smoke::mf_static, 73, 61},	//239 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {46, 182, 261, 2, Smoke::mf_static, 47, 62},	//240 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {46, 186, 192, 2, Smoke::mf_static, 243, 63},	//241 QGlobalSpace::operator<=(QChar, QChar)
    {46, 159, 264, 2, Smoke::mf_static, 279, 64},	//242 QGlobalSpace::operator*(const QPointF&, double)
    {46, 159, 267, 2, Smoke::mf_static, 113, 65},	//243 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {46, 191, 270, 2, Smoke::mf_static, 243, 66},	//244 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {46, 210, 273, 2, Smoke::mf_static, 88, 67},	//245 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {46, 210, 276, 2, Smoke::mf_static, 88, 68},	//246 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {46, 191, 237, 2, Smoke::mf_static, 243, 69},	//247 QGlobalSpace::operator==(QString::Null, QString::Null)
    {46, 154, 147, 2, Smoke::mf_static, 243, 70},	//248 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {46, 154, 279, 2, Smoke::mf_static, 243, 71},	//249 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {46, 186, 282, 2, Smoke::mf_static, 243, 72},	//250 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {46, 171, 138, 2, Smoke::mf_static, 140, 73},	//251 QGlobalSpace::operator-(const QTransform&, double)
    {46, 182, 285, 2, Smoke::mf_static, 47, 74},	//252 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {46, 210, 288, 2, Smoke::mf_static, 88, 75},	//253 QGlobalSpace::operator|(Qt::DropAction, int)
    {46, 206, 291, 2, Smoke::mf_static, 47, 76},	//254 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {46, 210, 294, 2, Smoke::mf_static, 88, 77},	//255 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {46, 196, 111, 2, Smoke::mf_static, 243, 78},	//256 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {46, 182, 297, 2, Smoke::mf_static, 47, 79},	//257 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {46, 196, 150, 2, Smoke::mf_static, 243, 80},	//258 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {46, 201, 282, 2, Smoke::mf_static, 243, 81},	//259 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {46, 191, 153, 2, Smoke::mf_static, 243, 82},	//260 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {46, 196, 240, 2, Smoke::mf_static, 243, 83},	//261 QGlobalSpace::operator>(const char*, const QByteArray&)
    {46, 191, 240, 2, Smoke::mf_static, 243, 84},	//262 QGlobalSpace::operator==(const char*, const QByteArray&)
    {46, 210, 300, 2, Smoke::mf_static, 77, 85},	//263 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {46, 210, 303, 2, Smoke::mf_static, 63, 86},	//264 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {46, 210, 306, 2, Smoke::mf_static, 75, 87},	//265 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {46, 154, 150, 2, Smoke::mf_static, 243, 88},	//266 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {46, 210, 309, 2, Smoke::mf_static, 68, 89},	//267 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {46, 159, 312, 2, Smoke::mf_static, 113, 90},	//268 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {46, 191, 315, 2, Smoke::mf_static, 243, 91},	//269 QGlobalSpace::operator==(const QString&, QString::Null)
    {46, 210, 318, 2, Smoke::mf_static, 69, 92},	//270 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {46, 159, 321, 2, Smoke::mf_static, 92, 93},	//271 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {46, 186, 111, 2, Smoke::mf_static, 243, 94},	//272 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {46, 168, 324, 1, Smoke::mf_static, 10, 95},	//273 QGlobalSpace::operator++(KIconLoader::Group&)
    {46, 210, 326, 2, Smoke::mf_static, 61, 96},	//274 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {46, 206, 329, 2, Smoke::mf_static, 47, 97},	//275 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {46, 154, 332, 2, Smoke::mf_static, 243, 98},	//276 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {46, 182, 335, 2, Smoke::mf_static, 47, 99},	//277 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {46, 159, 338, 2, Smoke::mf_static, 287, 100},	//278 QGlobalSpace::operator*(double, const QSize&)
    {46, 210, 341, 2, Smoke::mf_static, 67, 101},	//279 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {46, 210, 344, 2, Smoke::mf_static, 74, 102},	//280 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {46, 159, 347, 2, Smoke::mf_static, 277, 103},	//281 QGlobalSpace::operator*(const QPoint&, float)
    {46, 186, 123, 2, Smoke::mf_static, 243, 104},	//282 QGlobalSpace::operator<=(const char*, const QString&)
    {46, 171, 350, 1, Smoke::mf_static, 279, 105},	//283 QGlobalSpace::operator-(const QPointF&)
    {46, 210, 352, 2, Smoke::mf_static, 88, 106},	//284 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {46, 210, 355, 2, Smoke::mf_static, 88, 107},	//285 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {46, 210, 358, 2, Smoke::mf_static, 58, 108},	//286 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {46, 163, 123, 2, Smoke::mf_static, 292, 109},	//287 QGlobalSpace::operator+(const char*, const QString&)
    {46, 182, 361, 2, Smoke::mf_static, 47, 110},	//288 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {46, 186, 240, 2, Smoke::mf_static, 243, 111},	//289 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {46, 154, 282, 2, Smoke::mf_static, 243, 112},	//290 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {46, 196, 192, 2, Smoke::mf_static, 243, 113},	//291 QGlobalSpace::operator>(QChar, QChar)
    {46, 175, 117, 2, Smoke::mf_static, 289, 114},	//292 QGlobalSpace::operator/(const QSizeF&, double)
    {46, 159, 364, 2, Smoke::mf_static, 94, 115},	//293 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {46, 159, 367, 2, Smoke::mf_static, 115, 116},	//294 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {46, 171, 370, 1, Smoke::mf_static, 277, 117},	//295 QGlobalSpace::operator-(const QPoint&)
    {46, 182, 372, 2, Smoke::mf_static, 47, 118},	//296 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {46, 201, 120, 2, Smoke::mf_static, 243, 119},	//297 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {46, 206, 375, 2, Smoke::mf_static, 47, 120},	//298 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {46, 182, 378, 2, Smoke::mf_static, 47, 121},	//299 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {46, 201, 147, 2, Smoke::mf_static, 243, 122},	//300 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {46, 177, 150, 2, Smoke::mf_static, 243, 123},	//301 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {46, 210, 381, 2, Smoke::mf_static, 88, 124},	//302 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {46, 154, 384, 2, Smoke::mf_static, 243, 125},	//303 QGlobalSpace::operator!=(QBool, QBool)
    {46, 163, 387, 2, Smoke::mf_static, 292, 126},	//304 QGlobalSpace::operator+(const QString&, char)
    {46, 154, 390, 2, Smoke::mf_static, 243, 127},	//305 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {46, 191, 147, 2, Smoke::mf_static, 243, 128},	//306 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {46, 175, 264, 2, Smoke::mf_static, 279, 129},	//307 QGlobalSpace::operator/(const QPointF&, double)
    {46, 210, 393, 2, Smoke::mf_static, 55, 130},	//308 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {46, 159, 396, 2, Smoke::mf_static, 109, 131},	//309 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {46, 159, 399, 2, Smoke::mf_static, 111, 132},	//310 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {46, 154, 135, 2, Smoke::mf_static, 243, 133},	//311 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {46, 191, 402, 2, Smoke::mf_static, 243, 134},	//312 QGlobalSpace::operator==(QString::Null, const QString&)
    {46, 186, 120, 2, Smoke::mf_static, 243, 135},	//313 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {46, 159, 405, 2, Smoke::mf_static, 105, 136},	//314 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {46, 159, 138, 2, Smoke::mf_static, 140, 137},	//315 QGlobalSpace::operator*(const QTransform&, double)
    {46, 210, 408, 2, Smoke::mf_static, 88, 138},	//316 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {46, 182, 411, 2, Smoke::mf_static, 47, 139},	//317 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {46, 210, 414, 2, Smoke::mf_static, 88, 140},	//318 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {46, 210, 417, 2, Smoke::mf_static, 69, 141},	//319 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {46, 206, 420, 2, Smoke::mf_static, 47, 142},	//320 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {46, 182, 423, 2, Smoke::mf_static, 47, 143},	//321 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {46, 159, 426, 2, Smoke::mf_static, 287, 144},	//322 QGlobalSpace::operator*(const QSize&, double)
    {46, 206, 429, 2, Smoke::mf_static, 47, 145},	//323 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {46, 171, 255, 2, Smoke::mf_static, 277, 146},	//324 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {46, 210, 432, 2, Smoke::mf_static, 66, 147},	//325 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {46, 159, 435, 2, Smoke::mf_static, 109, 148},	//326 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {46, 206, 438, 2, Smoke::mf_static, 47, 149},	//327 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {46, 206, 441, 2, Smoke::mf_static, 47, 150},	//328 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {46, 182, 444, 2, Smoke::mf_static, 47, 151},	//329 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {46, 175, 447, 2, Smoke::mf_static, 277, 152},	//330 QGlobalSpace::operator/(const QPoint&, double)
    {46, 182, 450, 2, Smoke::mf_static, 47, 153},	//331 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {46, 182, 453, 2, Smoke::mf_static, 47, 154},	//332 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {46, 154, 402, 2, Smoke::mf_static, 243, 155},	//333 QGlobalSpace::operator!=(QString::Null, const QString&)
    {46, 182, 456, 2, Smoke::mf_static, 47, 156},	//334 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {46, 210, 459, 2, Smoke::mf_static, 70, 157},	//335 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {46, 191, 156, 2, Smoke::mf_static, 243, 158},	//336 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {46, 210, 462, 2, Smoke::mf_static, 88, 159},	//337 QGlobalSpace::operator|(Qt::WindowState, int)
    {46, 154, 180, 2, Smoke::mf_static, 243, 160},	//338 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {46, 206, 465, 2, Smoke::mf_static, 47, 161},	//339 QGlobalSpace::operator>>(QDataStream&, QString&)
    {46, 182, 468, 2, Smoke::mf_static, 47, 162},	//340 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {46, 191, 384, 2, Smoke::mf_static, 243, 163},	//341 QGlobalSpace::operator==(QBool, QBool)
    {46, 206, 471, 2, Smoke::mf_static, 47, 164},	//342 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {46, 210, 474, 2, Smoke::mf_static, 73, 165},	//343 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {46, 191, 477, 2, Smoke::mf_static, 243, 166},	//344 QGlobalSpace::operator==(bool, QBool)
    {46, 182, 480, 2, Smoke::mf_static, 47, 167},	//345 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {46, 177, 123, 2, Smoke::mf_static, 243, 168},	//346 QGlobalSpace::operator<(const char*, const QString&)
    {46, 191, 483, 2, Smoke::mf_static, 243, 169},	//347 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {46, 210, 486, 2, Smoke::mf_static, 88, 170},	//348 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {46, 154, 483, 2, Smoke::mf_static, 243, 171},	//349 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {46, 177, 111, 2, Smoke::mf_static, 243, 172},	//350 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {46, 182, 489, 2, Smoke::mf_static, 47, 173},	//351 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {46, 154, 477, 2, Smoke::mf_static, 243, 174},	//352 QGlobalSpace::operator!=(bool, QBool)
    {46, 191, 492, 2, Smoke::mf_static, 243, 175},	//353 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {46, 163, 495, 2, Smoke::mf_static, 292, 176},	//354 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {46, 210, 498, 2, Smoke::mf_static, 64, 177},	//355 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {46, 210, 501, 2, Smoke::mf_static, 88, 178},	//356 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {46, 154, 315, 2, Smoke::mf_static, 243, 179},	//357 QGlobalSpace::operator!=(const QString&, QString::Null)
    {46, 210, 504, 2, Smoke::mf_static, 81, 180},	//358 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {46, 154, 141, 2, Smoke::mf_static, 243, 181},	//359 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {46, 206, 507, 2, Smoke::mf_static, 47, 182},	//360 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {46, 210, 510, 2, Smoke::mf_static, 81, 183},	//361 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {46, 191, 174, 2, Smoke::mf_static, 243, 184},	//362 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {46, 210, 513, 2, Smoke::mf_static, 80, 185},	//363 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {46, 191, 390, 2, Smoke::mf_static, 243, 186},	//364 QGlobalSpace::operator==(const char*, const QStringRef&)
    {46, 206, 516, 2, Smoke::mf_static, 47, 187},	//365 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {46, 163, 255, 2, Smoke::mf_static, 277, 188},	//366 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {46, 163, 120, 2, Smoke::mf_static, 250, 189},	//367 QGlobalSpace::operator+(const QByteArray&, const char*)
    {46, 159, 519, 2, Smoke::mf_static, 279, 190},	//368 QGlobalSpace::operator*(double, const QPointF&)
    {46, 159, 522, 2, Smoke::mf_static, 277, 191},	//369 QGlobalSpace::operator*(int, const QPoint&)
    {46, 182, 525, 2, Smoke::mf_static, 47, 192},	//370 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {46, 210, 528, 2, Smoke::mf_static, 58, 193},	//371 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {46, 206, 531, 2, Smoke::mf_static, 47, 194},	//372 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {46, 210, 534, 2, Smoke::mf_static, 57, 195},	//373 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {46, 206, 537, 2, Smoke::mf_static, 47, 196},	//374 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {46, 210, 540, 2, Smoke::mf_static, 88, 197},	//375 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {46, 196, 282, 2, Smoke::mf_static, 243, 198},	//376 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {46, 182, 543, 2, Smoke::mf_static, 138, 199},	//377 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {46, 191, 192, 2, Smoke::mf_static, 243, 200},	//378 QGlobalSpace::operator==(QChar, QChar)
    {46, 163, 546, 2, Smoke::mf_static, 292, 201},	//379 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {46, 163, 138, 2, Smoke::mf_static, 140, 202},	//380 QGlobalSpace::operator+(const QTransform&, double)
    {46, 210, 549, 2, Smoke::mf_static, 64, 203},	//381 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {46, 163, 552, 2, Smoke::mf_static, 250, 204},	//382 QGlobalSpace::operator+(const QByteArray&, char)
    {46, 210, 555, 2, Smoke::mf_static, 66, 205},	//383 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {46, 210, 558, 2, Smoke::mf_static, 59, 206},	//384 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {46, 206, 561, 2, Smoke::mf_static, 47, 207},	//385 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {46, 163, 153, 2, Smoke::mf_static, 279, 208},	//386 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {46, 191, 123, 2, Smoke::mf_static, 243, 209},	//387 QGlobalSpace::operator==(const char*, const QString&)
    {46, 210, 564, 2, Smoke::mf_static, 60, 210},	//388 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {46, 210, 567, 2, Smoke::mf_static, 61, 211},	//389 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {46, 182, 570, 2, Smoke::mf_static, 47, 212},	//390 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {46, 191, 332, 2, Smoke::mf_static, 243, 213},	//391 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {46, 210, 573, 2, Smoke::mf_static, 88, 214},	//392 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {46, 210, 576, 2, Smoke::mf_static, 88, 215},	//393 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {46, 163, 579, 2, Smoke::mf_static, 250, 216},	//394 QGlobalSpace::operator+(char, const QByteArray&)
    {46, 163, 582, 2, Smoke::mf_static, 292, 217},	//395 QGlobalSpace::operator+(const QString&, const char*)
    {46, 177, 282, 2, Smoke::mf_static, 243, 218},	//396 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {46, 210, 585, 2, Smoke::mf_static, 76, 219},	//397 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {46, 163, 588, 2, Smoke::mf_static, 292, 220},	//398 QGlobalSpace::operator+(const QString&, const QString&)
    {46, 154, 591, 2, Smoke::mf_static, 243, 221},	//399 QGlobalSpace::operator!=(QBool, bool)
    {46, 191, 282, 2, Smoke::mf_static, 243, 222},	//400 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {46, 182, 594, 2, Smoke::mf_static, 47, 223},	//401 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {46, 210, 597, 2, Smoke::mf_static, 65, 224},	//402 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {46, 159, 600, 2, Smoke::mf_static, 120, 225},	//403 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {46, 182, 603, 2, Smoke::mf_static, 47, 226},	//404 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {46, 191, 606, 2, Smoke::mf_static, 243, 227},	//405 QGlobalSpace::operator==(const QStringRef&, const char*)
    {46, 201, 123, 2, Smoke::mf_static, 243, 228},	//406 QGlobalSpace::operator>=(const char*, const QString&)
    {46, 159, 609, 2, Smoke::mf_static, 120, 229},	//407 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {46, 210, 612, 2, Smoke::mf_static, 78, 230},	//408 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {46, 159, 447, 2, Smoke::mf_static, 277, 231},	//409 QGlobalSpace::operator*(const QPoint&, double)
    {46, 210, 615, 2, Smoke::mf_static, 62, 232},	//410 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {46, 206, 618, 2, Smoke::mf_static, 47, 233},	//411 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {46, 210, 621, 2, Smoke::mf_static, 79, 234},	//412 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {46, 163, 282, 2, Smoke::mf_static, 250, 235},	//413 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {46, 159, 624, 2, Smoke::mf_static, 277, 236},	//414 QGlobalSpace::operator*(float, const QPoint&)
    {46, 159, 627, 2, Smoke::mf_static, 277, 237},	//415 QGlobalSpace::operator*(double, const QPoint&)
    {46, 206, 630, 2, Smoke::mf_static, 47, 238},	//416 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {46, 154, 606, 2, Smoke::mf_static, 243, 239},	//417 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {46, 191, 255, 2, Smoke::mf_static, 243, 240},	//418 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {46, 182, 633, 2, Smoke::mf_static, 47, 241},	//419 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {46, 210, 636, 2, Smoke::mf_static, 88, 242},	//420 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {46, 206, 639, 2, Smoke::mf_static, 47, 243},	//421 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {46, 182, 642, 2, Smoke::mf_static, 47, 244},	//422 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {46, 171, 141, 2, Smoke::mf_static, 287, 245},	//423 QGlobalSpace::operator-(const QSize&, const QSize&)
    {46, 206, 645, 2, Smoke::mf_static, 47, 246},	//424 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {46, 210, 648, 2, Smoke::mf_static, 54, 247},	//425 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {46, 175, 426, 2, Smoke::mf_static, 287, 248},	//426 QGlobalSpace::operator/(const QSize&, double)
    {46, 201, 240, 2, Smoke::mf_static, 243, 249},	//427 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {46, 210, 651, 2, Smoke::mf_static, 88, 250},	//428 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {46, 154, 240, 2, Smoke::mf_static, 243, 251},	//429 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {46, 159, 654, 2, Smoke::mf_static, 94, 252},	//430 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {46, 177, 192, 2, Smoke::mf_static, 243, 253},	//431 QGlobalSpace::operator<(QChar, QChar)
    {46, 210, 657, 2, Smoke::mf_static, 75, 254},	//432 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {46, 210, 660, 2, Smoke::mf_static, 68, 255},	//433 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {46, 171, 332, 2, Smoke::mf_static, 289, 256},	//434 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {46, 210, 663, 2, Smoke::mf_static, 88, 257},	//435 QGlobalSpace::operator|(Qt::Orientation, int)
    {46, 210, 666, 2, Smoke::mf_static, 88, 258},	//436 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {46, 206, 669, 2, Smoke::mf_static, 47, 259},	//437 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {46, 206, 672, 2, Smoke::mf_static, 47, 260},	//438 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {46, 182, 675, 2, Smoke::mf_static, 47, 261},	//439 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {46, 206, 678, 2, Smoke::mf_static, 47, 262},	//440 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {46, 210, 681, 2, Smoke::mf_static, 56, 263},	//441 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {46, 206, 684, 2, Smoke::mf_static, 47, 264},	//442 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {46, 210, 687, 2, Smoke::mf_static, 79, 265},	//443 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {46, 196, 120, 2, Smoke::mf_static, 243, 266},	//444 QGlobalSpace::operator>(const QByteArray&, const char*)
    {46, 154, 492, 2, Smoke::mf_static, 243, 267},	//445 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {46, 210, 690, 2, Smoke::mf_static, 70, 268},	//446 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {46, 206, 693, 2, Smoke::mf_static, 47, 269},	//447 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {46, 154, 123, 2, Smoke::mf_static, 243, 270},	//448 QGlobalSpace::operator!=(const char*, const QString&)
    {46, 210, 696, 2, Smoke::mf_static, 80, 271},	//449 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {46, 210, 699, 2, Smoke::mf_static, 67, 272},	//450 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {46, 177, 147, 2, Smoke::mf_static, 243, 273},	//451 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {46, 159, 702, 2, Smoke::mf_static, 289, 274},	//452 QGlobalSpace::operator*(double, const QSizeF&)
    {46, 201, 150, 2, Smoke::mf_static, 243, 275},	//453 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {46, 191, 165, 2, Smoke::mf_static, 243, 276},	//454 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {46, 159, 705, 2, Smoke::mf_static, 277, 277},	//455 QGlobalSpace::operator*(const QPoint&, int)
    {46, 191, 279, 2, Smoke::mf_static, 243, 278},	//456 QGlobalSpace::operator==(const QRect&, const QRect&)
    {46, 210, 708, 2, Smoke::mf_static, 88, 279},	//457 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {46, 210, 711, 2, Smoke::mf_static, 74, 280},	//458 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {46, 210, 714, 2, Smoke::mf_static, 71, 281},	//459 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {46, 210, 717, 2, Smoke::mf_static, 76, 282},	//460 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {46, 191, 120, 2, Smoke::mf_static, 243, 283},	//461 QGlobalSpace::operator==(const QByteArray&, const char*)
    {46, 210, 720, 2, Smoke::mf_static, 88, 284},	//462 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {46, 210, 723, 2, Smoke::mf_static, 88, 285},	//463 QGlobalSpace::operator|(Qt::MouseButton, int)
    {46, 182, 726, 2, Smoke::mf_static, 47, 286},	//464 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {46, 191, 591, 2, Smoke::mf_static, 243, 287},	//465 QGlobalSpace::operator==(QBool, bool)
    {46, 154, 120, 2, Smoke::mf_static, 243, 288},	//466 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {46, 168, 729, 2, Smoke::mf_static, 9, 289},	//467 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {46, 210, 732, 2, Smoke::mf_static, 62, 290},	//468 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {46, 206, 735, 2, Smoke::mf_static, 47, 291},	//469 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {46, 210, 738, 2, Smoke::mf_static, 56, 292},	//470 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {46, 210, 741, 2, Smoke::mf_static, 88, 293},	//471 QGlobalSpace::operator|(QString::SectionFlag, int)
    {46, 210, 744, 2, Smoke::mf_static, 88, 294},	//472 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {46, 210, 747, 2, Smoke::mf_static, 54, 295},	//473 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {46, 163, 750, 2, Smoke::mf_static, 292, 296},	//474 QGlobalSpace::operator+(char, const QString&)
    {46, 182, 753, 2, Smoke::mf_static, 47, 297},	//475 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {46, 182, 756, 2, Smoke::mf_static, 47, 298},	//476 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {46, 163, 332, 2, Smoke::mf_static, 289, 299},	//477 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {46, 210, 759, 2, Smoke::mf_static, 63, 300},	//478 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {46, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 301},	//479 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {46, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 302},	//480 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {46, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 303},	//481 QGlobalSpace::Q_STATIC_TYPE (enum)
    {46, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 304},	//482 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {46, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 305},	//483 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {46, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 306},	//484 QGlobalSpace::LicensedGui (enum)
    {46, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 307},	//485 QGlobalSpace::LicensedXml (enum)
    {46, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 308},	//486 QGlobalSpace::LicensedQt3SupportLight (enum)
    {46, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 309},	//487 QGlobalSpace::LicensedScript (enum)
    {46, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 310},	//488 QGlobalSpace::LicensedOpenVG (enum)
    {46, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 311},	//489 QGlobalSpace::LicensedDBus (enum)
    {46, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 312},	//490 QGlobalSpace::LicensedTest (enum)
    {46, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 313},	//491 QGlobalSpace::LicensedActiveQt (enum)
    {46, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 314},	//492 QGlobalSpace::LicensedScriptTools (enum)
    {46, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 315},	//493 QGlobalSpace::LicensedSvg (enum)
    {46, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 316},	//494 QGlobalSpace::LicensedDeclarative (enum)
    {46, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 317},	//495 QGlobalSpace::LicensedSql (enum)
    {46, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 318},	//496 QGlobalSpace::LicensedOpenGL (enum)
    {46, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 319},	//497 QGlobalSpace::LicensedCore (enum)
    {46, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 320},	//498 QGlobalSpace::QtDebugMsg (enum)
    {46, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 321},	//499 QGlobalSpace::QtWarningMsg (enum)
    {46, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 322},	//500 QGlobalSpace::QtCriticalMsg (enum)
    {46, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 323},	//501 QGlobalSpace::QtFatalMsg (enum)
    {46, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 324},	//502 QGlobalSpace::QtSystemMsg (enum)
    {46, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 325},	//503 QGlobalSpace::LicensedHelp (enum)
    {46, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 326},	//504 QGlobalSpace::LicensedMultimedia (enum)
    {46, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 327},	//505 QGlobalSpace::LicensedQt3Support (enum)
    {46, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 328},	//506 QGlobalSpace::LicensedXmlPatterns (enum)
    {46, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 329},	//507 QGlobalSpace::LicensedNetwork (enum)
    {63, 116, 49, 1, Smoke::mf_virtual, 243, 0},	//508 QObject::event(QEvent*)
    {63, 117, 762, 2, Smoke::mf_virtual, 243, 0},	//509 QObject::eventFilter(QObject*, QEvent*)
    {63, 255, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//510 QObject::timerEvent(QTimerEvent*)
    {63, 71, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//511 QObject::childEvent(QChildEvent*)
    {63, 96, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//512 QObject::customEvent(QEvent*)
    {63, 89, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//513 QObject::connectNotify(const char*)
    {63, 99, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//514 QObject::disconnectNotify(const char*)
    {93, 98, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 306, 0},	//515 QWidget::devType() const
    {93, 242, 769, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//516 QWidget::setVisible(bool)
    {93, 250, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 124, 0},	//517 QWidget::sizeHint() const
    {93, 143, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 124, 0},	//518 QWidget::minimumSizeHint() const
    {93, 125, 771, 1, Smoke::mf_const|Smoke::mf_virtual, 306, 0},	//519 QWidget::heightForWidth(int) const
    {93, 212, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 103, 0},	//520 QWidget::paintEngine() const
    {93, 116, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 243, 0},	//521 QWidget::event(QEvent*)
    {93, 146, 773, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//522 QWidget::mousePressEvent(QMouseEvent*)
    {93, 147, 773, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//523 QWidget::mouseReleaseEvent(QMouseEvent*)
    {93, 144, 773, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//524 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {93, 145, 773, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//525 QWidget::mouseMoveEvent(QMouseEvent*)
    {93, 274, 775, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//526 QWidget::wheelEvent(QWheelEvent*)
    {93, 131, 777, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//527 QWidget::keyPressEvent(QKeyEvent*)
    {93, 132, 777, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//528 QWidget::keyReleaseEvent(QKeyEvent*)
    {93, 120, 779, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//529 QWidget::focusInEvent(QFocusEvent*)
    {93, 122, 779, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//530 QWidget::focusOutEvent(QFocusEvent*)
    {93, 115, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//531 QWidget::enterEvent(QEvent*)
    {93, 134, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//532 QWidget::leaveEvent(QEvent*)
    {93, 213, 781, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//533 QWidget::paintEvent(QPaintEvent*)
    {93, 148, 783, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//534 QWidget::moveEvent(QMoveEvent*)
    {93, 238, 785, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//535 QWidget::resizeEvent(QResizeEvent*)
    {93, 76, 787, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//536 QWidget::closeEvent(QCloseEvent*)
    {93, 90, 789, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//537 QWidget::contextMenuEvent(QContextMenuEvent*)
    {93, 254, 791, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//538 QWidget::tabletEvent(QTabletEvent*)
    {93, 61, 793, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//539 QWidget::actionEvent(QActionEvent*)
    {93, 109, 795, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//540 QWidget::dragEnterEvent(QDragEnterEvent*)
    {93, 111, 797, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//541 QWidget::dragMoveEvent(QDragMoveEvent*)
    {93, 110, 799, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//542 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {93, 112, 801, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//543 QWidget::dropEvent(QDropEvent*)
    {93, 245, 803, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//544 QWidget::showEvent(QShowEvent*)
    {93, 126, 805, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//545 QWidget::hideEvent(QHideEvent*)
    {93, 279, 807, 1, Smoke::mf_protected|Smoke::mf_virtual, 243, 0},	//546 QWidget::x11Event(_XEvent*)
    {93, 69, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//547 QWidget::changeEvent(QEvent*)
    {93, 142, 809, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 306, 0},	//548 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {93, 129, 811, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//549 QWidget::inputMethodEvent(QInputMethodEvent*)
    {93, 130, 813, 1, Smoke::mf_const|Smoke::mf_virtual, 144, 0},	//550 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {93, 121, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 243, 0},	//551 QWidget::focusNextPrevChild(bool)
    {93, 253, 815, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//552 QWidget::styleChange(QStyle&)
    {93, 114, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//553 QWidget::enabledChange(bool)
    {93, 214, 817, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//554 QWidget::paletteChange(const QPalette&)
    {93, 123, 819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//555 QWidget::fontChange(const QFont&)
    {93, 276, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//556 QWidget::windowActivationChange(bool)
    {93, 133, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//557 QWidget::languageChange()
    {93, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 44},	//558 QWidget::DrawWindowBackground (enum)
    {93, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 45},	//559 QWidget::DrawChildren (enum)
    {93, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 46},	//560 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    176,  // Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    177,  // Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    0,
    196,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    202,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    205,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    211,  // QGlobalSpace::operator!=(QChar, QChar)
    229,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    236,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    248,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    249,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    266,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    276,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    290,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    303,  // QGlobalSpace::operator!=(QBool, QBool)
    311,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    338,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    359,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    445,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    333,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    349,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    399,  // QGlobalSpace::operator!=(QBool, bool)
    417,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    466,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    197,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    232,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    305,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    352,  // QGlobalSpace::operator!=(bool, QBool)
    357,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    429,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    188,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    203,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    216,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    235,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    243,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    268,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    271,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    293,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    294,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    309,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    310,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    314,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    326,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    403,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    407,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    430,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    0,
    184,  // QGlobalSpace::operator*(const QSizeF&, double)
    242,  // QGlobalSpace::operator*(const QPointF&, double)
    281,  // QGlobalSpace::operator*(const QPoint&, float)
    315,  // QGlobalSpace::operator*(const QTransform&, double)
    322,  // QGlobalSpace::operator*(const QSize&, double)
    409,  // QGlobalSpace::operator*(const QPoint&, double)
    455,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    278,  // QGlobalSpace::operator*(double, const QSize&)
    368,  // QGlobalSpace::operator*(double, const QPointF&)
    369,  // QGlobalSpace::operator*(int, const QPoint&)
    414,  // QGlobalSpace::operator*(float, const QPoint&)
    415,  // QGlobalSpace::operator*(double, const QPoint&)
    452,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    198,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    366,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    386,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    413,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    477,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    193,  // QGlobalSpace::operator+(QChar, const QString&)
    354,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    367,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    380,  // QGlobalSpace::operator+(const QTransform&, double)
    382,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    199,  // QGlobalSpace::operator+(const QString&, QChar)
    230,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    379,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    394,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    287,  // QGlobalSpace::operator+(const char*, const QString&)
    304,  // QGlobalSpace::operator+(const QString&, char)
    395,  // QGlobalSpace::operator+(const QString&, const char*)
    398,  // QGlobalSpace::operator+(const QString&, const QString&)
    474,  // QGlobalSpace::operator+(char, const QString&)
    0,
    283,  // QGlobalSpace::operator-(const QPointF&)
    295,  // QGlobalSpace::operator-(const QPoint&)
    0,
    218,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    324,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    423,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    434,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    191,  // QGlobalSpace::operator/(const QTransform&, double)
    292,  // QGlobalSpace::operator/(const QSizeF&, double)
    307,  // QGlobalSpace::operator/(const QPointF&, double)
    330,  // QGlobalSpace::operator/(const QPoint&, double)
    426,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    301,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    396,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    431,  // QGlobalSpace::operator<(QChar, QChar)
    451,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    237,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    350,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    208,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    213,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    221,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    226,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    227,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    240,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    257,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    277,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    288,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    296,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    299,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    317,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    321,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    329,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    331,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    332,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    334,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    340,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    345,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    351,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    370,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    377,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    390,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    404,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    419,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    422,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    439,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    464,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    475,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    0,
    219,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    252,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    0,
    194,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    195,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    241,  // QGlobalSpace::operator<=(QChar, QChar)
    250,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    272,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    289,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    190,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    192,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    201,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    207,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    244,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    247,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    260,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    306,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    341,  // QGlobalSpace::operator==(QBool, QBool)
    353,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    362,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    378,  // QGlobalSpace::operator==(QChar, QChar)
    391,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    400,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    418,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    454,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    456,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    312,  // QGlobalSpace::operator==(QString::Null, const QString&)
    347,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    405,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    461,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    465,  // QGlobalSpace::operator==(QBool, bool)
    0,
    220,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    262,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    269,  // QGlobalSpace::operator==(const QString&, QString::Null)
    336,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    344,  // QGlobalSpace::operator==(bool, QBool)
    364,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    228,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    258,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    291,  // QGlobalSpace::operator>(QChar, QChar)
    376,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    256,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    261,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    238,  // QGlobalSpace::operator>=(QChar, QChar)
    259,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    300,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    453,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    182,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    427,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    180,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    181,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    187,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    206,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    215,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    217,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    231,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    233,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    254,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    275,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    298,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    320,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    323,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    327,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    328,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    342,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    360,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    372,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    374,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    385,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    411,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    416,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    421,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    424,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    437,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    440,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    442,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    447,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    469,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    339,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    438,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    179,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    183,  // QGlobalSpace::operator|(Qt::WindowType, int)
    189,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    200,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    204,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    209,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    210,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    212,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    214,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    222,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    223,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    224,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    225,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    234,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    239,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    245,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    246,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    253,  // QGlobalSpace::operator|(Qt::DropAction, int)
    255,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    263,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    264,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    265,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    267,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    270,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    274,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    279,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    280,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    284,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    285,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    286,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    302,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    308,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    316,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    318,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    319,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    325,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    335,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    337,  // QGlobalSpace::operator|(Qt::WindowState, int)
    343,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    348,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    355,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    356,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    358,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    361,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    363,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    371,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    373,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    375,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    381,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    383,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    384,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    388,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    389,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    392,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    393,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    397,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    402,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    408,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    410,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    412,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    420,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    425,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    428,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    432,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    433,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    435,  // QGlobalSpace::operator|(Qt::Orientation, int)
    436,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    441,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    443,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    446,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    449,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    450,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    457,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    458,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    459,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    460,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    462,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    463,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    468,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    470,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    471,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    472,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    473,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    478,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {15, 2, 23},	// Kate::Application::Application$
    {15, 64, 27},	// Kate::Application::activeMainWindow
    {15, 104, 24},	// Kate::Application::documentManager
    {15, 113, 26},	// Kate::Application::editor
    {15, 140, 28},	// Kate::Application::mainWindows
    {15, 141, 16},	// Kate::Application::metaObject
    {15, 222, 25},	// Kate::Application::pluginManager
    {15, 232, 22},	// Kate::Application::qt_metacall$$?
    {15, 234, 17},	// Kate::Application::qt_metacast$
    {15, 252, 31},	// Kate::Application::staticMetaObject
    {15, 257, 29},	// Kate::Application::tr$
    {15, 258, 18},	// Kate::Application::tr$$
    {15, 259, 20},	// Kate::Application::tr$$$
    {15, 261, 30},	// Kate::Application::trUtf8$
    {15, 262, 19},	// Kate::Application::trUtf8$$
    {15, 263, 21},	// Kate::Application::trUtf8$$$
    {15, 281, 32},	// Kate::Application::~Application
    {16, 5, 40},	// Kate::DocumentManager::DocumentManager$
    {16, 73, 44},	// Kate::DocumentManager::closeDocument#
    {16, 75, 45},	// Kate::DocumentManager::closeDocumentList?
    {16, 101, 46},	// Kate::DocumentManager::documentCreated#
    {16, 103, 48},	// Kate::DocumentManager::documentDeleted#
    {16, 106, 47},	// Kate::DocumentManager::documentWillBeDeleted#
    {16, 107, 41},	// Kate::DocumentManager::documents
    {16, 119, 42},	// Kate::DocumentManager::findUrl#
    {16, 141, 33},	// Kate::DocumentManager::metaObject
    {16, 152, 51},	// Kate::DocumentManager::openUrl#
    {16, 153, 43},	// Kate::DocumentManager::openUrl#$
    {16, 232, 39},	// Kate::DocumentManager::qt_metacall$$?
    {16, 234, 34},	// Kate::DocumentManager::qt_metacast$
    {16, 252, 52},	// Kate::DocumentManager::staticMetaObject
    {16, 257, 49},	// Kate::DocumentManager::tr$
    {16, 258, 35},	// Kate::DocumentManager::tr$$
    {16, 259, 37},	// Kate::DocumentManager::tr$$$
    {16, 261, 50},	// Kate::DocumentManager::trUtf8$
    {16, 262, 36},	// Kate::DocumentManager::trUtf8$$
    {16, 263, 38},	// Kate::DocumentManager::trUtf8$$$
    {16, 282, 53},	// Kate::DocumentManager::~DocumentManager
    {17, 3, 88},	// Kate::MainWindow::Bottom
    {17, 9, 85},	// Kate::MainWindow::Left
    {17, 30, 61},	// Kate::MainWindow::MainWindow$
    {17, 53, 86},	// Kate::MainWindow::Right
    {17, 56, 87},	// Kate::MainWindow::Top
    {17, 63, 67},	// Kate::MainWindow::activateView#
    {17, 65, 66},	// Kate::MainWindow::activeView
    {17, 68, 64},	// Kate::MainWindow::centralWidget
    {17, 92, 75},	// Kate::MainWindow::createToolView#$$#$
    {17, 93, 74},	// Kate::MainWindow::createToolView$$#$
    {17, 124, 62},	// Kate::MainWindow::guiFactory
    {17, 128, 78},	// Kate::MainWindow::hideToolView#
    {17, 141, 54},	// Kate::MainWindow::metaObject
    {17, 150, 76},	// Kate::MainWindow::moveToolView#$
    {17, 152, 83},	// Kate::MainWindow::openUrl#
    {17, 153, 68},	// Kate::MainWindow::openUrl#$
    {17, 226, 80},	// Kate::MainWindow::pluginView$
    {17, 228, 72},	// Kate::MainWindow::pluginViewCreated$#
    {17, 230, 73},	// Kate::MainWindow::pluginViewDeleted$#
    {17, 232, 60},	// Kate::MainWindow::qt_metacall$$?
    {17, 234, 55},	// Kate::MainWindow::qt_metacast$
    {17, 247, 79},	// Kate::MainWindow::showPluginConfigPage#$
    {17, 249, 77},	// Kate::MainWindow::showToolView#
    {17, 252, 84},	// Kate::MainWindow::staticMetaObject
    {17, 257, 81},	// Kate::MainWindow::tr$
    {17, 258, 56},	// Kate::MainWindow::tr$$
    {17, 259, 58},	// Kate::MainWindow::tr$$$
    {17, 261, 82},	// Kate::MainWindow::trUtf8$
    {17, 262, 57},	// Kate::MainWindow::trUtf8$$
    {17, 263, 59},	// Kate::MainWindow::trUtf8$$$
    {17, 265, 71},	// Kate::MainWindow::unhandledShortcutOverride#
    {17, 269, 69},	// Kate::MainWindow::viewChanged
    {17, 271, 70},	// Kate::MainWindow::viewCreated#
    {17, 272, 65},	// Kate::MainWindow::views
    {17, 275, 63},	// Kate::MainWindow::window
    {17, 283, 89},	// Kate::MainWindow::~MainWindow
    {18, 31, 104},	// Kate::Plugin::Plugin
    {18, 32, 105},	// Kate::Plugin::Plugin#
    {18, 33, 97},	// Kate::Plugin::Plugin#$
    {18, 66, 98},	// Kate::Plugin::application
    {18, 95, 99},	// Kate::Plugin::createView#
    {18, 141, 90},	// Kate::Plugin::metaObject
    {18, 232, 96},	// Kate::Plugin::qt_metacall$$?
    {18, 234, 91},	// Kate::Plugin::qt_metacast$
    {18, 236, 100},	// Kate::Plugin::readSessionConfig#$
    {18, 252, 106},	// Kate::Plugin::staticMetaObject
    {18, 257, 102},	// Kate::Plugin::tr$
    {18, 258, 92},	// Kate::Plugin::tr$$
    {18, 259, 94},	// Kate::Plugin::tr$$$
    {18, 261, 103},	// Kate::Plugin::trUtf8$
    {18, 262, 93},	// Kate::Plugin::trUtf8$$
    {18, 263, 95},	// Kate::Plugin::trUtf8$$$
    {18, 278, 101},	// Kate::Plugin::writeSessionConfig#$
    {18, 284, 107},	// Kate::Plugin::~Plugin
    {19, 34, 122},	// Kate::PluginConfigPage::PluginConfigPage
    {19, 35, 123},	// Kate::PluginConfigPage::PluginConfigPage#
    {19, 36, 115},	// Kate::PluginConfigPage::PluginConfigPage#$
    {19, 67, 116},	// Kate::PluginConfigPage::apply
    {19, 70, 119},	// Kate::PluginConfigPage::changed
    {19, 97, 118},	// Kate::PluginConfigPage::defaults
    {19, 141, 108},	// Kate::PluginConfigPage::metaObject
    {19, 232, 114},	// Kate::PluginConfigPage::qt_metacall$$?
    {19, 234, 109},	// Kate::PluginConfigPage::qt_metacast$
    {19, 237, 117},	// Kate::PluginConfigPage::reset
    {19, 252, 124},	// Kate::PluginConfigPage::staticMetaObject
    {19, 257, 120},	// Kate::PluginConfigPage::tr$
    {19, 258, 110},	// Kate::PluginConfigPage::tr$$
    {19, 259, 112},	// Kate::PluginConfigPage::tr$$$
    {19, 261, 121},	// Kate::PluginConfigPage::trUtf8$
    {19, 262, 111},	// Kate::PluginConfigPage::trUtf8$$
    {19, 263, 113},	// Kate::PluginConfigPage::trUtf8$$$
    {19, 285, 125},	// Kate::PluginConfigPage::~PluginConfigPage
    {20, 37, 126},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface
    {20, 38, 133},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface#
    {20, 78, 134},	// Kate::PluginConfigPageInterface::configPage
    {20, 79, 135},	// Kate::PluginConfigPageInterface::configPage$
    {20, 80, 136},	// Kate::PluginConfigPageInterface::configPage$#
    {20, 81, 129},	// Kate::PluginConfigPageInterface::configPage$#$
    {20, 82, 138},	// Kate::PluginConfigPageInterface::configPageFullName
    {20, 83, 131},	// Kate::PluginConfigPageInterface::configPageFullName$
    {20, 84, 139},	// Kate::PluginConfigPageInterface::configPageIcon
    {20, 85, 132},	// Kate::PluginConfigPageInterface::configPageIcon$
    {20, 86, 137},	// Kate::PluginConfigPageInterface::configPageName
    {20, 87, 130},	// Kate::PluginConfigPageInterface::configPageName$
    {20, 88, 128},	// Kate::PluginConfigPageInterface::configPages
    {20, 219, 127},	// Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber
    {20, 286, 140},	// Kate::PluginConfigPageInterface::~PluginConfigPageInterface
    {21, 40, 148},	// Kate::PluginManager::PluginManager$
    {21, 136, 157},	// Kate::PluginManager::loadPlugin$
    {21, 137, 151},	// Kate::PluginManager::loadPlugin$$
    {21, 141, 141},	// Kate::PluginManager::metaObject
    {21, 216, 149},	// Kate::PluginManager::plugin$
    {21, 218, 150},	// Kate::PluginManager::pluginAvailable$
    {21, 221, 153},	// Kate::PluginManager::pluginLoaded$#
    {21, 224, 154},	// Kate::PluginManager::pluginUnloaded$#
    {21, 232, 147},	// Kate::PluginManager::qt_metacall$$?
    {21, 234, 142},	// Kate::PluginManager::qt_metacast$
    {21, 252, 159},	// Kate::PluginManager::staticMetaObject
    {21, 257, 155},	// Kate::PluginManager::tr$
    {21, 258, 143},	// Kate::PluginManager::tr$$
    {21, 259, 145},	// Kate::PluginManager::tr$$$
    {21, 261, 156},	// Kate::PluginManager::trUtf8$
    {21, 262, 144},	// Kate::PluginManager::trUtf8$$
    {21, 263, 146},	// Kate::PluginManager::trUtf8$$$
    {21, 267, 158},	// Kate::PluginManager::unloadPlugin$
    {21, 268, 152},	// Kate::PluginManager::unloadPlugin$$
    {21, 287, 160},	// Kate::PluginManager::~PluginManager
    {22, 42, 168},	// Kate::PluginView::PluginView#
    {22, 139, 169},	// Kate::PluginView::mainWindow
    {22, 141, 161},	// Kate::PluginView::metaObject
    {22, 232, 167},	// Kate::PluginView::qt_metacall$$?
    {22, 234, 162},	// Kate::PluginView::qt_metacast$
    {22, 236, 170},	// Kate::PluginView::readSessionConfig#$
    {22, 252, 174},	// Kate::PluginView::staticMetaObject
    {22, 257, 172},	// Kate::PluginView::tr$
    {22, 258, 163},	// Kate::PluginView::tr$$
    {22, 259, 165},	// Kate::PluginView::tr$$$
    {22, 261, 173},	// Kate::PluginView::trUtf8$
    {22, 262, 164},	// Kate::PluginView::trUtf8$$
    {22, 263, 166},	// Kate::PluginView::trUtf8$$$
    {22, 278, 171},	// Kate::PluginView::writeSessionConfig#$
    {22, 288, 175},	// Kate::PluginView::~PluginView
    {23, 58, -1},	// Kate::XMLGUIClient::XMLGUIClient#
    {23, 289, 178},	// Kate::XMLGUIClient::~XMLGUIClient
    {46, 10, 491},	// QGlobalSpace::LicensedActiveQt
    {46, 11, 497},	// QGlobalSpace::LicensedCore
    {46, 12, 489},	// QGlobalSpace::LicensedDBus
    {46, 13, 494},	// QGlobalSpace::LicensedDeclarative
    {46, 14, 484},	// QGlobalSpace::LicensedGui
    {46, 15, 503},	// QGlobalSpace::LicensedHelp
    {46, 16, 504},	// QGlobalSpace::LicensedMultimedia
    {46, 17, 507},	// QGlobalSpace::LicensedNetwork
    {46, 18, 496},	// QGlobalSpace::LicensedOpenGL
    {46, 19, 488},	// QGlobalSpace::LicensedOpenVG
    {46, 20, 505},	// QGlobalSpace::LicensedQt3Support
    {46, 21, 486},	// QGlobalSpace::LicensedQt3SupportLight
    {46, 22, 487},	// QGlobalSpace::LicensedScript
    {46, 23, 492},	// QGlobalSpace::LicensedScriptTools
    {46, 24, 495},	// QGlobalSpace::LicensedSql
    {46, 25, 493},	// QGlobalSpace::LicensedSvg
    {46, 26, 490},	// QGlobalSpace::LicensedTest
    {46, 27, 485},	// QGlobalSpace::LicensedXml
    {46, 28, 506},	// QGlobalSpace::LicensedXmlPatterns
    {46, 43, 479},	// QGlobalSpace::Q_COMPLEX_TYPE
    {46, 44, 483},	// QGlobalSpace::Q_DUMMY_TYPE
    {46, 45, 482},	// QGlobalSpace::Q_MOVABLE_TYPE
    {46, 46, 480},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {46, 47, 481},	// QGlobalSpace::Q_STATIC_TYPE
    {46, 48, 500},	// QGlobalSpace::QtCriticalMsg
    {46, 49, 498},	// QGlobalSpace::QtDebugMsg
    {46, 50, 501},	// QGlobalSpace::QtFatalMsg
    {46, 51, 502},	// QGlobalSpace::QtSystemMsg
    {46, 52, 499},	// QGlobalSpace::QtWarningMsg
    {46, 155, -4},	// QGlobalSpace::operator!=##
    {46, 156, -21},	// QGlobalSpace::operator!=#$
    {46, 157, -27},	// QGlobalSpace::operator!=$#
    {46, 158, 448},	// QGlobalSpace::operator!=$$
    {46, 160, -34},	// QGlobalSpace::operator*##
    {46, 161, -51},	// QGlobalSpace::operator*#$
    {46, 162, -59},	// QGlobalSpace::operator*$#
    {46, 164, -66},	// QGlobalSpace::operator+##
    {46, 165, -72},	// QGlobalSpace::operator+#$
    {46, 166, -78},	// QGlobalSpace::operator+$#
    {46, 167, -83},	// QGlobalSpace::operator+$$
    {46, 169, 273},	// QGlobalSpace::operator++$
    {46, 170, 467},	// QGlobalSpace::operator++$$
    {46, 172, -89},	// QGlobalSpace::operator-#
    {46, 173, -92},	// QGlobalSpace::operator-##
    {46, 174, 251},	// QGlobalSpace::operator-#$
    {46, 176, -97},	// QGlobalSpace::operator/#$
    {46, 178, -103},	// QGlobalSpace::operator<##
    {46, 179, 185},	// QGlobalSpace::operator<#$
    {46, 180, -108},	// QGlobalSpace::operator<$#
    {46, 181, 346},	// QGlobalSpace::operator<$$
    {46, 183, -111},	// QGlobalSpace::operator<<##
    {46, 184, -142},	// QGlobalSpace::operator<<#$
    {46, 185, 401},	// QGlobalSpace::operator<<#?
    {46, 187, -145},	// QGlobalSpace::operator<=##
    {46, 188, 313},	// QGlobalSpace::operator<=#$
    {46, 189, -150},	// QGlobalSpace::operator<=$#
    {46, 190, 282},	// QGlobalSpace::operator<=$$
    {46, 192, -153},	// QGlobalSpace::operator==##
    {46, 193, -171},	// QGlobalSpace::operator==#$
    {46, 194, -177},	// QGlobalSpace::operator==$#
    {46, 195, 387},	// QGlobalSpace::operator==$$
    {46, 197, -184},	// QGlobalSpace::operator>##
    {46, 198, 444},	// QGlobalSpace::operator>#$
    {46, 199, -189},	// QGlobalSpace::operator>$#
    {46, 200, 186},	// QGlobalSpace::operator>$$
    {46, 202, -192},	// QGlobalSpace::operator>=##
    {46, 203, 297},	// QGlobalSpace::operator>=#$
    {46, 204, -197},	// QGlobalSpace::operator>=$#
    {46, 205, 406},	// QGlobalSpace::operator>=$$
    {46, 207, -200},	// QGlobalSpace::operator>>##
    {46, 208, -230},	// QGlobalSpace::operator>>#$
    {46, 209, 365},	// QGlobalSpace::operator>>#?
    {46, 211, -233},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();
SMOKE_IMPORT void init_ktexteditor_Smoke();

static bool initialized = false;
Smoke *kate_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kate_Smoke() {
    init_kdeui_Smoke();
    init_kparts_Smoke();
    init_ktexteditor_Smoke();
    if (initialized) return;
    kate_Smoke = new Smoke(
        "kate",
        __smokekate::classes, 93,
        __smokekate::methods, 561,
        __smokekate::methodMaps, 236,
        __smokekate::methodNames, 289,
        __smokekate::types, 312,
        __smokekate::inheritanceList,
        __smokekate::argumentList,
        __smokekate::ambiguousMethodList,
        __smokekate::cast );
    initialized = true;
}

void delete_kate_Smoke() { delete kate_Smoke; }

}
